/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CAddComponentDialog.cpp : implementation file

//



#include "stdafx.h"

#include "NeilCap.h"

#include "CAddComponentDialog.h"



#ifdef _DEBUG

#define new DEBUG_NEW

#undef THIS_FILE

static char THIS_FILE[] = __FILE__;

#endif



/////////////////////////////////////////////////////////////////////////////

// CAddComponentDialog dialog





CAddComponentDialog::CAddComponentDialog(CWnd* pParent /*=NULL*/)

	: CDialog(CAddComponentDialog::IDD, pParent)

{

	//{{AFX_DATA_INIT(CAddComponentDialog)

	mList = _T("");

	//}}AFX_DATA_INIT

}





void CAddComponentDialog::DoDataExchange(CDataExchange* pDX)

{

	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CAddComponentDialog)

	DDX_LBString(pDX, IDC_LIST1, mList);

	//}}AFX_DATA_MAP

}





BEGIN_MESSAGE_MAP(CAddComponentDialog, CDialog)

	//{{AFX_MSG_MAP(CAddComponentDialog)

	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkList1)

	//}}AFX_MSG_MAP

END_MESSAGE_MAP()



/////////////////////////////////////////////////////////////////////////////

// CAddComponentDialog message handlers



void	

CAddComponentDialog::SetListEntries(vector<nmr_string> l)

{

	mListBoxEntries = l;

}





BOOL CAddComponentDialog::OnInitDialog() 

{

	CDialog::OnInitDialog();

	

	// TODO: Add extra initialization here

	CListBox	*lb = (CListBox *)GetDlgItem(IDC_LIST1);

	assert(lb);



	for (int x = 0; x < mListBoxEntries.size(); ++x)

		lb->AddString(mListBoxEntries[x]);

	

	return TRUE;  // return TRUE unless you set the focus to a control

	              // EXCEPTION: OCX Property Pages should return FALSE

}



void CAddComponentDialog::OnDblclkList1() 

{

	// TODO: Add your control notification handler code here

	CDialog::OnOK();

}

