/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CAddComponentDialog.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// CAddComponentDialog dialog

#include "resource.h"

#include <nmr_string.h>

#include <vector.h>



class CAddComponentDialog : public CDialog

{

// Construction

public:

	CAddComponentDialog(CWnd* pParent = NULL);   // standard constructor

	void	SetListEntries(vector<nmr_string> l);



// Dialog Data

	//{{AFX_DATA(CAddComponentDialog)

	enum { IDD = IDD_DIALOG_ADDCOMPONENT };

	CString	mList;

	//}}AFX_DATA





// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(CAddComponentDialog)

	protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	//}}AFX_VIRTUAL



// Implementation

protected:

	vector<nmr_string> mListBoxEntries;



	// Generated message map functions

	//{{AFX_MSG(CAddComponentDialog)

	virtual BOOL OnInitDialog();

	afx_msg void OnDblclkList1();

	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

};

