/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CDistributionSettingsDlog.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// CDistributionSettingsDlog dialog

#include "resource.h"

#include <vfw.h>



class CDistributionSettingsDlog : public CDialog

{

// Construction

public:

	CDistributionSettingsDlog(CWnd* pParent = NULL);   // standard constructor

	COMPVARS	mCompVars;

	int			mCompressorChosen;

	char		*mDuckState;

	int			mDuckStateSize;

	int			mKeyFrameRate;



// Dialog Data

	//{{AFX_DATA(CDistributionSettingsDlog)

	enum { IDD = IDD_DISTRIBUTEDCOMP };

	CString	mIPAddress;

	int		mTCPPort;

	int		mUDPPort;

	CString	mTempDir;

	int		mEndFrame;

	int		mStartFrame;

	int		mChunkSize;

	//}}AFX_DATA





// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(CDistributionSettingsDlog)

	protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	//}}AFX_VIRTUAL



// Implementation

protected:



	// Generated message map functions

	//{{AFX_MSG(CDistributionSettingsDlog)

	virtual BOOL OnInitDialog();

	afx_msg void OnSelectcompressor();

	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

};

