/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef CCAPTUREINTERFACE_H_

#define CCAPTUREINTERFACE_H_



class CGUIController;



class CCaptureInterface

{

public:

	virtual void	Instantiate(HWND parent,CGUIController *g) = 0;

	virtual	void	DestroyWindow(void) = 0;

	virtual	void	Run(void) = 0;

	virtual	int		IsRunning(void) = 0;

	virtual	void	Halt(void) = 0;



	virtual void	TempConfigure(void) = 0;

};





#endif

