/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CColorSlider.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// CColorSlider window

#ifndef CCOLORSLIDER_H_

#define CCOLORSLIDER_H_



#include <afxcmn.h>





class CColorSlider : public CSliderCtrl

{

// Construction

public:

	CColorSlider();



// Attributes

public:



// Operations



protected:

	int		mRealMin,mRealMax,mRealPos;

	void	FixupSlider(void);



public:

	int GetRangeMax() const;

	int GetRangeMin() const;

	void GetRange(int& nMin, int& nMax) const;

	void SetRangeMin(int nMin, BOOL bRedraw = FALSE);

	void SetRangeMax(int nMax, BOOL bRedraw = FALSE);

	void SetRange(int nMin, int nMax, BOOL bRedraw = FALSE);

	int GetPos(void);

	int GetPos(int bogus);

	void SetPos(int nPos);



// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(CColorSlider)

	protected:

	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);

	//}}AFX_VIRTUAL



// Implementation

public:

	virtual ~CColorSlider();



	void	SetPosMessage(int mess);



	// Generated message map functions

protected:

	//{{AFX_MSG(CColorSlider)

	afx_msg void OnPaint();

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

	//}}AFX_MSG



	DECLARE_MESSAGE_MAP()



};



#endif



/////////////////////////////////////////////////////////////////////////////

