/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "CIvaPWriter_TC.h"



CComponent *

CIvaPWriter_TC::CreatorFunc(CGUIController *gui)

{

	return new CIvaPWriter_TC(0,gui);

}



void

CIvaPWriter_TC::SetFile(const char *filename)

{

	mFileName = filename;

}



void

CIvaPWriter_TC::Configure(CWnd *wnd)

{

	assert(!mFile);

	assert(!mFileOpen);



///	mRecalculateFramerate = 1;					///	dbm -- make this zero for now
	mRecalculateFramerate = 0;					///	until we fix recalc to work with compressed audio

}





int

CIvaPWriter_TC::ConfigureIfNeeded(CWnd *wnd)

{

	assert(!mFile);

	assert(!mFileOpen);



///	mRecalculateFramerate = 1;					///	dbm -- make this zero for now
	mRecalculateFramerate = 0;					///	until we fix recalc to work with compressed audio



	Configure(wnd);

	return 1;

}



