/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CTimedRecordDialog.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// CTimedRecordDialog dialog



class CTimedRecordDialog : public CDialog

{

// Construction

public:

	CTimedRecordDialog(CWnd* pParent = NULL);   // standard constructor



	int	mSampleSize;

	int	mFrequency;

	int mChannels;

	int mWidth;

	int mHeight;

	int mQuality;

	int mFPS;

	CString mFilename;



// Dialog Data

	//{{AFX_DATA(CTimedRecordDialog)

	enum { IDD = IDD_TIMEDRECORD };

	UINT	mTime;

	//}}AFX_DATA





// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(CTimedRecordDialog)

	protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	//}}AFX_VIRTUAL



// Implementation

protected:



	// Generated message map functions

	//{{AFX_MSG(CTimedRecordDialog)

	afx_msg void OnUpdateRecordtime();

	virtual void OnOK();

	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()



	double CalculateDiskSpace(int minutes);

	int	ValidateData(void);



};

