/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// $Header: /export/raid/cvs_videodev/TrueCap/VideoTuners/Bt848V2_2/Source/Dialogs/config.h,v 1.1 1999/08/27 02:52:28 nradisch Exp $



// $Log: config.h,v $
// Revision 1.1  1999/08/27 02:52:28  nradisch
// new
//

// Revision 2.3  1997/05/05 17:56:52  dtharp

// 848A Merge: from 2.2.1.3

// Revision 2.2.1.3  1997/02/14 23:40:10  rudyl

// Removed all #ifdef BT848A. Use same binary files for both Bt848 and Bt848A.

// Revision 2.2.1.2  1997/02/03 23:39:54  rudyl

// First Pisces+ check in.

// Revision 2.2.1.1  1997/01/31 18:35:19  rudyl

// Start Pisces+ work.

// Revision 2.2  1996/12/06 22:28:10  meierdw

// Grafting 2.1.1;  NTSC-Japan support added.

// Revision 2.1.1.2  1996/11/08 18:52:28  rudyl

// Added NTSC-Japan, PAL-M & PAL-N formats.

// Revision 2.1.1.1  1996/11/07 22:18:33  rudyl

// Start work to add NTSC-Japan, PAL-M & PAL-N formats.

// Revision 2.1  1996/06/10 20:12:56  ssm

// MarkBeta1AsRev2



//////////////////////////////////////////////



/* CUT_HERE */



/* config.h */



// Video Configuration dialog



#define DLG_VIDEOCONFIG             100



// Video Format dialog



#define DLG_VIDEOFORMAT             200



#define ID_LBIMAGEFORMAT            201

#define IDH_IMAGE_FORMAT            3500



#define ID_PBSIZEFULL               202

#define ID_PBSIZEHALF               203

#define ID_PBSIZEQUARTER            204

#define ID_PBSIZEEIGHTH             205

#define ID_LBSIZE                   206

#define IDH_SIZE                    3400



// Video Source dialog



#define DLG_VIDEOSOURCE             300

#define ID_RBSOURCE0	330

#define ID_RBSOURCE1	331

#define ID_RBSOURCE2	332

#define IDH_VIDEO_CONNECT           3000

#define ID_RBSOURCE3                333

#define ID_CBSTANDARD               334

#define ID_CBCAMERA                 335

#define ID_LBLCAMERA	               336

#define ID_LBLSTANDARD	            337

#define ID_RBNTSC	   340

#define ID_RBNTSC_J	341

#define ID_RBPAL	   342

#define ID_RBPAL_M	343

#define ID_RBPAL_N	344

#define ID_RBSECAM	345

#define IDH_VIDEO_STANDARD          3100



#define ID_EBBRIGHTNESS	322

#define ID_EBCONTRAST	323

#define ID_EBSATURATION	321

#define ID_EBHUE	      320

#define ID_SBHUE	      310

#define ID_SBSATURATION	311

#define ID_SBCONTRAST	313

#define ID_SBBRIGHTNESS	312

#define IDC_GROUPBOX1	316

#define IDH_COLOR_CONTROLS          3200



#define ID_HELP	998

#define IDC_CBGAMMA	315

#define ID_PBDEFAULT	   350

#define IDH_PBDEFAULT               3300



#define SETTINGS_DLG	   400

#define ID_CONNECTOR    401

#define ID_STANDARD	   402

#define ID_BRIGHTNESS   403

#define ID_HUE          404

#define ID_SATURATION   405

#define ID_FORMAT       406

#define ID_CONTRAST     407

#define ID_IMAGE_SIZE   408

#define ID_IMAGE_FORMAT 409

#define ID_SVIDEO       410



#define IDS_HELPFILE	1



