/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// $Header: /export/raid/cvs_videodev/TrueCap/VideoTuners/Bt848V2_2/Source/Grappler/def__.h,v 1.1 1999/08/27 02:52:37 nradisch Exp $

// $Log: def__.h,v $
// Revision 1.1  1999/08/27 02:52:37  nradisch
// new
//

// Revision 2.2  1997/07/15 02:18:22  trantq

// Keep this file current as the Bt878FUNC functions are needed to 

// make grappler.  These 2 files are almost identical except for Bt878

// stuff but the grappler is the same with a few additional changes.

// Revision 2.1  1996/06/10 20:12:02  ssm

// MarkBeta1AsRev2



/* CUT_HERE */



/////////////////////////////////////////////////////////////////////////////

//

//  Copyright (c) 1996 Brooktree Corporation. All Rights Reserved.

//

//  Module:

//

//    def__.h

//

//  Abstract:

//

//    Header file to define __BT848CLASS & __BT848FUNC for differnet compilers

//    and 16- & 32-bits platforms.

//

/////////////////////////////////////////////////////////////////////////////



#ifndef __DEF___H

#define __DEF___H



#if defined( _BUILD_BT848DLL ) || defined( _BUILD_BT878DLL )

   #ifdef __BORLANDC__

      #ifdef __FLAT__

         #define __BT848CLASS __export

         #define __BT848FUNC  __export __stdcall

      #else

         #define __BT848CLASS __export

         #define __BT848FUNC  __export  WINAPI

      #endif

   #else

      #define __BT848CLASS __declspec( dllexport )

      #define __BT848FUNC  __declspec( dllexport )

   #endif

#else

   #ifdef __BORLANDC__

      #ifdef __FLAT__

         #define __BT848CLASS __import

         #define __BT848FUNC  __import __stdcall

      #else

         #define __BT848CLASS __import

         #define __BT848FUNC  WINAPI

      #endif

   #else // Microsoft

      #define __BT848CLASS __declspec( dllimport )

      #define __BT848FUNC  __declspec( dllimport )

   #endif

#endif



#define __BT878CLASS    __BT848CLASS

#define __BT878FUNC     __BT848FUNC





#endif // __DEF___H

