/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	CDUCKMACSCREEN_H_
#define CDUCKMACSCREEN_H_

#ifdef	__POWERPC__

#include <CDuckScreen.h>
#include <HWNDDefinition.h>
#include <duck_dxl.h>


class LGWorld;
class LPane;

class CDuckMACScreen: public CDuckScreen
{
	LPane		*mPane;
	LGWorld		*mGWorld;
	int			mPitch;	
	int			mPixelSize;
	BITDEPTH	mBitDepth;
	
public:
	CDuckMACScreen(HWND wnd);
	virtual ~CDuckMACScreen(void);
	virtual void	Instantiate(int x,int y,int width,int height,int stretch);
	virtual void	Blit(CDuckImage &image,int frame_number,
		int warpflag,int warpwidth,int warpheight);
	virtual void	Blit(CDuckCompositeBuffer &cbuffer,int frame_number,
		int warpflag,int warpwidth,int warpheight);

};

#endif
#endif
