/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	CALLBACKDATA_H_
#define CALLBACKDATA_H_

#define NCMDUCK_CODE_NETWORKNOTACTIVE	-1
#define NCMDUCK_STRING_NETWORKNOTACTIVE \
		"Network not active"

#define	NCMDUCK_CODE_TRYINGTOCONNECT		0
#define NCMDUCK_STRING_TRYINGTOCONNECT	\
		"Trying to connect to server"

#define NCMDUCK_CODE_CONNECTIONFAILED		1
#define NCMDUCK_STRING_CONNECTIONFAILED \
		"Connection failed."

#define	NCMDUCK_CODE_CONNECTED				2
#define	NCMDUCK_STRING_CONNECTED \
		"Connected."

#define NCMDUCK_CODE_VERSION				3
#define	NCMDUCK_STRING_VERSION \
		"Connected to server version"

#define NCMDUCK_CODE_FILENOTFOUND			4
#define NCMDUCK_STRING_FILENOTFOUND \
		"File not found."

#define NCMDUCK_CODE_SENDINGFILENAME		5
#define NCMDUCK_STRING_SENDINGFILENAME \
		"Sending filename: "

#define	NCMDUCK_CODE_TRANSFERMODEDENIED		6
#define	NCMDUCK_STRING_TRANSFERMODEDENIED \
		"Transfer mode denied."

#define NCMDUCK_CODE_BUFFERING				7
#define NCMDUCK_STRING_BUFFERING \
		"Buffering"

#define	NCMDUCK_CODE_BADSCREENCONFIG		8
#define	NCMDUCK_STRING_BADSCREENCONFIG \
		"Set Monitor to 16bit"

#define	NCMDUCK_CODE_MISC					9
#define	NCMDUCK_STRING_MISC \
		"Misc"

#define	NCMDUCK_CODE_FATALGRAPHICSERROR		10
#define	NCMDUCK_STRING_FATALGRAPHICSERROR \
		"Fatal graphics error"

#define	NCMDUCK_CODE_FILEFORMATBAD		11
#define	NCMDUCK_STRING_FILEFORMATBAD \
		"Bad file format"

#define	NCMDUCK_CODE_BADAUDIOFORMAT		12
#define	NCMDUCK_STRING_BADAUDIOFORMAT \
		"Bad audio format"

#define	NCMDUCK_CODE_AUDIODECOMPRESSERROR		13
#define	NCMDUCK_STRING_AUDIODECOMPRESSERROR \
		"Audio decompression error"

#define	NCMDUCK_CODE_GENERICAUDIOERROR		14
#define	NCMDUCK_STRING_GENERICAUDIOERROR \
		"Audio error"

#define	NCMDUCK_CODE_GENERICERROR		15
#define	NCMDUCK_STRING_GENERICERROR \
		"Error"

#define	NCMDUCK_CODE_AUDIOBUFFERUPDATE	-2
#define	NCMDUCK_STRING_AUDIOBUFFERUPDATE \
		"Audio buffer update"

#define NCMDUCK_CODE_VIDEOBUFFERUPDATE	-3
#define NCMDUCK_STRING_VIDEOBUFFERUPDATE \
		"Video buffer update"

#define NCMDUCK_CODE_DISKBUFFERUPDATE	-4
#define NCMDUCK_STRING_DISKBUFFERUPDATE \
		"Disk buffer update"

#define DUCK_CALLBACK(o,x) \
{ if (o) o->SendMessage(NCMDUCK_CODE_ ## x,NCMDUCK_STRING_ ## x,0); }
#define DUCK_CALLBACK2(o,x,y) \
{ if (o) o->SendMessage(NCMDUCK_CODE_ ## x,y,0); }
#define DUCK_CALLBACK_EXTRA(o,x,e) \
{ if (o) o->SendMessage(NCMDUCK_CODE_ ## x,NCMDUCK_STRING_ ## x,e); }
#define DUCK_CALLBACK2_EXTRA(o,x,y,e) \
{ if (o) o->SendMessage(NCMDUCK_CODE_ ## x,y,e); }

#endif
