/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef HWNDDEFINITION_H_
#define HWNDDEFINITION_H_

#ifdef	IRIX
#include <Vk/VkComponent.h>
#include <gl.h>
#include <GL/GLwDrawA.h> 

typedef int HWND;
#endif

#ifdef	__POWERPC__
typedef	void*	HWND;
#endif

// GENERIC X11
#if ((defined	SOLARIS) || (defined LINUX))
#include <X11/Xlib.h>
#include <X11/X.h>
#include <X11/Intrinsic.h>
typedef struct {
	Display	*mDisplay;
	Widget		mWidget;
	Visual		*mVisual;
	GC			(*mGC)(void *);
	void		*mRef;
	int			mPipe;
} HWND;
#endif


#endif
