/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
//#define ACMVORBIS 0x6751
#define ACMVORBIS 0x6751
#define ENCODE_MAX_SRC 400000
#define ENCODE_MAX_OUT 16384
#define ENCODE_CHUNK_SIZE 4096

int
InitializeAcmEncode(const char *audiosrc,int srclen, char *audiodest, int destlen,
			int numchan, int samplerate, int &srcused, int &destused);

int
AcmCompress(const char *audiosrc, int srclen, char *audiodest, int destlen, 
			int numchan, int samplerate, int &srcused, int &destused);

void
CleanupAcmEncode(void);

char*
AcmGetBuffer();

extern int gAcmEncodeChunkCount;
