/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
//==========================================================================
//
//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
//  PURPOSE.
//
//  Copyright (c) 1999 - 2001  On2 Technologies Inc. All Rights Reserved.
//
//--------------------------------------------------------------------------


#ifndef CCSTR_H
#define CCSTR_H

typedef struct RGB32Pixel
{
   unsigned char Blue;
   unsigned char Green;
   unsigned char Red;
   unsigned char Alpha;
} RGB32Pixel;

typedef struct RGB24Pixel
{
   unsigned char Blue;
   unsigned char Green;
   unsigned char Red;
} RGB24Pixel;

/*
 * not actually a single pixel.  Structure contains
 * data for two pixels.
 */
typedef struct YVYUPixel
{
   unsigned char Y0;
   unsigned char V;
   unsigned char Y1;
   unsigned char U;
} YVYUPixel;

#define True  1
#define False 0

#endif /* CCSTR_H */
