/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "dxsprite.h"
   
ANTIALIASTYPE antiAlias(unsigned int alpha,unsigned long fore, unsigned long back)
{                                     
    fore &= 0x7fff7fff;
    back &= 0x7fff7fff;
    
    if (alpha == 6) return fore;
    if (alpha == 0) return back;
    {
        unsigned long low=0,high=0;
        unsigned int alpha1 = (alpha%5); 

        alpha = (alpha/5);      
    
        back += 0x04210421; 
        fore += 0x04210421; 
        
        back &= 0xf39cf39c;
        fore &= 0xf39cf39c;

#ifdef SONY
#define AL1 alpha1
#define AL alpha
#else
#define AL1 alpha
#define AL alpha1
#endif
        
        if (AL1 == 1)
            high = fore;
        else if (AL1 == 0)
            high = back;
        else{
            AL1 -= 1;
            low = fore & 0xffff0000;
            high = back & 0xffff0000;
            high = ((low>>2)*AL1) + ((back>>2)*(4-AL1));
            /*high = low + ((back>>2)*(4-AL1));*/
        }
        
        if (AL == 1)
            low = fore;
        else if (AL == 0)
            low = back;
        else{
            AL -= 1;
            low = ((fore>>2)*AL) + ((back>>2)*(4-AL));
            /*low = fore + ((back>>2)*(4-AL));*/
        }
        return ((low & 0x00007fff) | (high & 0x7fff0000));
    }
}
