/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
extern unsigned long work1K[320*2];

#define FOURPIX two = gtbl[(unsigned char)tluma] + chrome;\
			daddr[0] = (gtbl[(unsigned char)(tluma>>8)] + chrome) + (two<<24);\
			one = gtbl[tluma>>24] + chrome;\
			daddr[1] = (two>>8)+ (one<<16);	\
			daddr[2] = ((gtbl[(unsigned char)(tluma>>16)] + chrome)<<8)+(one>>16);\
			daddr += 3;

#define HIXFOURPIX two = gtbl[(unsigned char)tluma] + chrome;\
			daddr[0] = (gtbl[(unsigned char)(tluma>>8)] + chrome) + (two<<24);\
			chrome = *lchroma++;\
			one = gtbl[tluma>>24] + chrome;\
			daddr[1] = (two>>8)+ (one<<16);	\
			daddr[2] = ((gtbl[(unsigned char)(tluma>>16)] + chrome)<<8)+(one>>16);\
			daddr += 3;

#define STRETCHTWOPIX one = gtbl[(unsigned char)(tluma>>8)] + chrome;\
			two = gtbl[(unsigned char)tluma] + chrome;\
			daddr[0] = one + (one<<24);\
			daddr[1] = (one>>8)+(two<<16);\
			daddr[2] = (two<<8)+(two>>16);\
			daddr += 3;


void bff10_hiX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres
)
{
	register long *lchroma;
	register unsigned long *lluma,tluma;
	unsigned long one,two;
	int i,k;
    long chrome;
	long *gtbl = (long *) work1K;
	unsigned long *daddr2 = daddr;
    
    lluma = (unsigned long *)luma;
	width /= 4;
	height /= 2;
	
    for(k = 0; k < height; k++){
    	lchroma = chroma;
		for(i = 0; i < width; i++){
			tluma = *lluma++;
			chrome = *lchroma++;

#if 1
			STRETCHTWOPIX;
			chrome = *lchroma++;
			tluma >>= 16;
			STRETCHTWOPIX;
#else			
			HIXFOURPIX
#endif
		}
		daddr = daddr2 += (dwidth*1);

    	lchroma = chroma;
		for(i = 0; i < width; i++){
			tluma = *lluma++;
			chrome = *lchroma++;
#if 1
			STRETCHTWOPIX;
			chrome = *lchroma++;
			tluma >>= 16;
			STRETCHTWOPIX;
#else
			HIXFOURPIX
#endif
		}
		daddr = daddr2 += dwidth;
		if (vres == 4){
			if (k & 1)
				chroma += width*2;
		}else
			chroma += width*2;
	}
}

void bff10_loX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres
)
{
	register long *lchroma;
	register unsigned long *lluma,tluma;
	unsigned long one,two;
	int i,k;
    long chrome;
	long *gtbl = (long *) work1K;
	unsigned long *daddr2 = daddr;
    
    lluma = (unsigned long *)luma;
	width /= 4;
	height /= 2;
	
    for(k = 0; k < height; k++){
    	lchroma = chroma;
		for(i = 0; i < width; i++){
			tluma = *lluma;
			chrome = *lchroma++;
#if 1
			STRETCHTWOPIX;
			tluma >>= 16;
			STRETCHTWOPIX;

			daddr += dwidth-6;
			tluma = lluma[width];
			lluma++;
			STRETCHTWOPIX;
			tluma >>= 16;
			STRETCHTWOPIX;
			daddr -= dwidth;
#else			
			FOURPIX

			daddr += dwidth-6;
			tluma = lluma[width];
			lluma++;
			FOURPIX
			daddr -= dwidth;
#endif
		}
		lluma += width;
		daddr = daddr2 += dwidth*2;
		if (vres == 4){
			if (k & 1)
				chroma += width;
		}else
			chroma += width;
	}
}
