/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "dkpltfrm.h"
#include "duktypes.h"
#include "cduck.h"
#include "duck_hfb.h"
#include "dxl_main.h"
#include "dxparams.h"
#include "lblitter.h"
#include "blt_itrp.h"




#if 1
void DXL_bse20(DX_PARAMS_HANDLE params)
{
	/* used to be ... DXL_LineBlit_IBright */
	/* Note that the I here stands for I)nterpolate, not intelligent */
	
	register U16  *dxSrc;
	register U16  *dxLast;
	register U8	*dest8;
	register unsigned short wd;
	register int wordPitch;
	register unsigned char *cluPtr1 = params->clutptr;
	register unsigned char *cluPtr2 = params->clutptr2;
	register unsigned char temp;
	
	wordPitch = params->bPitch/8;  // wordPitch takes from one DRAWN line to next DRAWN line 
								   // this is a Scott(ism) 

   /* unsigned long crackMask = 0x7BDF;  */
	
	dxSrc = (U16 *) (params->dxDest);
	dxLast = (U16 *) (params->dxLast);
	
	if (!(params->dither)) {
		cluPtr1 = params->clutptr;
		cluPtr2 = params->clutptr2;
	}
	else {
		cluPtr2 = params->clutptr;
		cluPtr1 = params->clutptr2;
	}
	params->dither = !(params->dither);
	
	
	wd = params->width/4;
	
    dest8 =  (U8 *) (params->vDest);
		
	if (wd)	{		
		do{   
			
			temp =  cluPtr1[(	(*dxSrc & *dxLast & 0x0420) + 
		     	(	(*dxSrc  & 0x7BDF) +   
                   (*dxLast & 0x7BDF )	
				)/2) ]; 
			*dest8++ = *dest8++ = temp;
			dxSrc++;  dxLast++; 
			
			
			temp  = cluPtr2[(	(*dxSrc & *dxLast & 0x0420) + 
		     	(	(*dxSrc  & 0x7BDF) +   
                   (*dxLast & 0x7BDF )	
				)/2) ]; 
			*dest8++ = *dest8++ = temp;
			dxSrc++;  dxLast++; 
			
			
			temp  = cluPtr1[(	(*dxSrc & *dxLast & 0x0420) + 
		     	(	(*dxSrc  & 0x7BDF) +   
                   (*dxLast & 0x7BDF )	
				)/2) ]; 
			*dest8++ = *dest8++ = temp;	
			dxSrc++;  dxLast++; 
			
			
			temp = cluPtr2[(	(*dxSrc & *dxLast & 0x0420) + 
		     	(	(*dxSrc  & 0x7BDF) +   
                   (*dxLast & 0x7BDF )	
				)/2) ]; 
			*dest8++ = *dest8++ = temp;		
			dxSrc++; dxLast++;
			dest8 -= 8;
           
			/* regular line below ... */
			dest8 += wordPitch*4;
			dxSrc -= 4;
			
			#define JERKY8  temp = cluPtr1[*dxSrc++]; \
			       *dest8++ = *dest8++ = temp; \
                   temp  = cluPtr2[*dxSrc++]; \
				   *dest8++ = *dest8++ = temp; 
				   
 			JERKY8
		  	JERKY8	  
			
			dest8 -= wordPitch*4;
			
		} while(--wd);	
	}
	
	if (params->width % 4) {
	    *dest8++ = *dest8++ =  cluPtr1[INTERPOLATE16(dxSrc,dxLast)]; 
		dxSrc++;  dxLast++; 
		*dest8++ = *dest8++  = cluPtr2[INTERPOLATE16(dxSrc,dxLast)]; 
		dxSrc++;  dxLast++;
		dest8 -= 4;
		dest8 += wordPitch*4;
		dxSrc -= 2;
		JERKY8
		}
		

} 
#endif
