/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "dkpltfrm.h"
#include "duktypes.h"
#include "cduck.h"
#include "duck_hfb.h"
#include "dxl_main.h"
#include "dxparams.h"
#include "tm1blit.h"
#include "blt_itrp.h"



void DXL_bss00(DX_PARAMS_HANDLE params)
{
	/* void DXL_LineBlit_Same */
	
	register U32  *dxSrc;
	register U32	*dest32;
	int wd;
	int vw4 ;
	int pmvw;	
	int theMod;
	
	dxSrc = (U32 *) (params->dxDest);
	
	vw4 = params->width/4;
	theMod = params->width % 4;
	
	pmvw = params->bPitch-params->width;
	
	
    dest32 = (U32 *) (params->vDest);
	
	wd = vw4;
	
	if (wd) {				
		do{
			*dest32++ = *dxSrc++;
			*dest32++ = *dxSrc++;
			
		} while(--wd);
	}
	
	if (theMod == 2) 
		*dest32++ = *dxSrc++;
		

} /* end of DXL_LineBlit_Same */







