/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "dkpltfrm.h"
#include "duktypes.h"
#include "cduck.h"
#include "duck_hfb.h"
#include "dxl_main.h"
#include "dxparams.h"
#include "tm1blit.h"
#include "blt_itrp.h"


void DXL_bss02(DX_PARAMS_HANDLE params)
{
	register U16  *dxSrc;
	register U16  *dest16;
	int wd;
	int theMod;
	
	dxSrc = (U16 *) (params->dxDest);

	theMod = params->width % 4;
	
    dest16 = (U16 *) (params->vDest);
	
	wd = params->width/4;
					
	do{     /* DO FAT FREDDY of Walter J Morris Jr High */
			*dest16++ = *dxSrc; 								/* 0 		*/
			*dest16++ = INTERPOLATE16(dxSrc,dxSrc + 1);			/* (0+1)/2 	*/
			dxSrc++;			
			*dest16++ = *dxSrc;									/* 1        */
			dxSrc++;
			
			*dest16++ = *dxSrc;
            *dest16++ = INTERPOLATE16(dxSrc,dxSrc + 1);
            dxSrc++;
			*dest16++ = *dxSrc;
			dxSrc++;
			
	} while(--wd);
	
	if (theMod == 2) {
			*dest16++ = *dxSrc;
            *dest16++ = INTERPOLATE16(dxSrc,dxSrc + 1);
            dxSrc++;
			*dest16++ = *dxSrc;
	}
	
				

} /* end of DXL_LineBlit_HInterpSame */

