/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "dkpltfrm.h"
#include "duktypes.h"
#include "cduck.h"
#include "duck_hfb.h"
#include "dxl_main.h"
#include "dxparams.h"
#include "tm1blit.h"
#include "blt_itrp.h"



#if 0
/* dumb dumb dumb bright blitter intraframe */
void DXL_bss20(DX_PARAMS_HANDLE params)
{
	/* DXL_LineBlit_StretchBright */
	
	register U32  *dxSrc;
	register U32	*dest32;
	int wd;
	int pmvw;
	
	dxSrc = (U32 *) (params->dxDest);
	
	pmvw = params->bPitch-params->width;
	
	
    dest32 = (U32 *) (params->vDest);
	
	wd = (params->width/4);
				
	do{
		*dest32++ = *dxSrc;
		*dest32++ = *dxSrc++;
		*dest32++ = *dxSrc;
		*dest32++ = *dxSrc++;
			
	} while(--wd);
	
	dest32 += params->bPitch - params->width;
	
	dxSrc -= params->width/2;
	
	wd = (params->width/4);
				
	do{
		*dest32++ = *dxSrc;
		*dest32++ = *dxSrc++;
		*dest32++ = *dxSrc;
		*dest32++ = *dxSrc++;
			
	} while(--wd);
	

} /* end of DXL_LineBlit_StretchBright*/
#endif



#if 1
void DXL_bss20(DX_PARAMS_HANDLE params)
{
	/* used to be ... DXL_LineBlit_IBright */
	/* Note that the I here stands for I)nterpolate, not intelligent */
	
	register U32  *dxSrc;
	register U32  *dxLast;
	register U32	*dest32;
	register unsigned short wd;
	register U32 temp;
	register int sixteen=16;
	int theMod;
	int wordPitch;
	
	wordPitch = params->bPitch/8;  // wordPitch takes from one DRAWN line to next DRAWN line 
								   // this is a Scott(ism) 

   /* unsigned long crackMask = 0x7BDF;  */
	
	dxSrc = (U32 *) (params->dxDest);
	dxLast = (U32 *) (params->dxLast);
	
	wd = params->width/4;
	theMod = params->width % 4;
	
    dest32 = (U32 *) (params->vDest);
		
	if (wd)	{		
		do{ 
			
			STRETCH_16BITPIXEL_32BITPTR_WITHVINTERP(dxSrc,dxLast,dest32,temp);
			dest32 += 2;
			STRETCH_16BITPIXEL_32BITPTR_WITHVINTERP(dxSrc,dxLast,dest32,temp);
			dest32 -= 2;
			
			/* regular line below ... */
			dest32 += wordPitch;
			dxSrc -= 2;

			STRETCH_16BITPIXEL_32BITPTR(dxSrc,dest32,temp);
			dest32 += 2;
			STRETCH_16BITPIXEL_32BITPTR(dxSrc,dest32,temp);
			dest32 += 2;
			
			dest32 -= wordPitch;
			
		} while(--wd);	
	}
	
	if (theMod == 2) {
	    STRETCH_16BITPIXEL_32BITPTR_WITHVINTERP(dxSrc,dxLast,dest32,temp);
		dest32 += wordPitch;
		dxSrc -= 1;
		STRETCH_16BITPIXEL_32BITPTR(dxSrc,dest32,temp);
		}
		

} /* end of DXL_LineBlit_Stretch */
#endif
