/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "dkpltfrm.h"
#include "duktypes.h"
#include "cduck.h"
#include "duck_hfb.h"
#include "dxl_main.h"
#include "dxparams.h"
#include "tm1blit.h"
#include "blt_itrp.h"



#if 1
/* stretch with intelligence and vertical interpolation */
void DXL_bss21(DX_PARAMS_HANDLE params)
{    
	register U32  *dxSrc;
	register U32	*dest32;
	register unsigned short wd;
	register U32 temp;
	register int sixteen=16;
	register U8 *bloc;
	U8 *blocLast;
	register U32 *dxLast;
	register U16 bloc_contents;
	U16  bloc_contentsLast;
	int wordPitch;	
	int theMod;
	
	bloc = (U8 *)params->dx_bloc;
	bloc_contents = ((U16)*bloc++) | 0x0100;
	
	blocLast = (U8 *) params->dx_blocLast;
	bloc_contentsLast = ((U16)*blocLast++);
	
	dxSrc = (U32 *) (params->dxDest);
	dxLast = (U32 *) (params->dxLast);
	
	theMod = params->width % 4;
	
	wd = params->width/4;
	
	wordPitch = params->bPitch/8;
	
    dest32 = (U32 *) (params->vDest);
		
	if (wd) {			
	do{ 
	     
	    if ((bloc_contents & 0x01) && (bloc_contentsLast & 0x01)) { 
			dxSrc += 2;
			dxLast += 2;
#if 0
			dest32[0] = 0; dest32[1] = 0; dest32[2] = 0; dest32[3] = 0;
			(dest32 + wordPitch)[0] = 0; (dest32 + wordPitch)[1] = 0;
			(dest32 + wordPitch)[2] = 0; (dest32 + wordPitch)[3] = 0;
			
#endif
			dest32 += 4;
			}
			
			
		else { 
		    /* Two pixels */
		  	STRETCH_16BITPIXEL_32BITPTR_WITHVINTERP(dxSrc,dxLast,dest32,temp);
		    dest32 += 2;
			/* Two pixels */
			STRETCH_16BITPIXEL_32BITPTR_WITHVINTERP(dxSrc,dxLast,dest32,temp);
			dest32 -= 2;
			
			dest32 += wordPitch;
			dxSrc -= 2;

            /* regular line below ... */
			/* Two pixels */
			STRETCH_16BITPIXEL_32BITPTR(dxSrc,dest32,temp);
			dest32 += 2;
			/* Two pixels */
			STRETCH_16BITPIXEL_32BITPTR(dxSrc,dest32,temp);
			dest32 += 2;
			
			dest32 -= wordPitch;
			
			}
				
		bloc_contentsLast >>= 1;
		if ((bloc_contents >>= 1) == 1) {
		    bloc_contents = ((U16)*bloc++) | 0x0100;
			bloc_contentsLast = ((U16)*blocLast++);
			}
			
	} while(--wd);		
	} /* end if (wd) */
	
	
	if (theMod == 2) {
	    /* if not both skip blocks */
		if (!(bloc_contents & 0x01 && bloc_contentsLast & 0x01))  { 
		    /* Two pixels */
		  	STRETCH_16BITPIXEL_32BITPTR_WITHVINTERP(dxSrc,dxLast,dest32,temp);
			
			dest32 += wordPitch;
			dxSrc -= 1;

			STRETCH_16BITPIXEL_32BITPTR(dxSrc,dest32,temp);
		}
	} /* end mod */
	
	

} /* end of DXL_LineBlit_Stretchiv */
#endif
