/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _dxl_16_h
#define _dxl_16_h

#ifdef __cplusplus  
    extern "C" {               
#endif   //__cplusplus__  

extern void enableWriteBack(void);
extern void enableWriteThrough(void);

extern void dxi16(DX_PARAMS_HANDLE dxParams);
extern void dxic16(DX_PARAMS_HANDLE dxParams);
extern void dxic162(DX_PARAMS_HANDLE dxParams);


#ifdef HIRES
/*interframe decompressor with built in blitter*/
extern void dxi16e(DX_PARAMS_HANDLE dxParams);
extern void dxic16e(DX_PARAMS_HANDLE dxParams);
extern void dxic162e(DX_PARAMS_HANDLE dxParams);

/*intraframe decompressor with built in blitter*/
extern void dxi16a(DX_PARAMS_HANDLE dxParams);
extern void dxic16a(DX_PARAMS_HANDLE dxParams);
extern void dxic162a(DX_PARAMS_HANDLE dxParams);
#endif

extern void dxSprite(DX_PARAMS_HANDLE dxParams);
extern void dxcSprite(DX_PARAMS_HANDLE dxParams);
extern void clp_dxSprite(DX_PARAMS_HANDLE dxParams);
extern void clp_dxcSprite(DX_PARAMS_HANDLE dxParams);

void dxcSprite(DX_PARAMS_HANDLE dxParams) ;
void dxSprite(DX_PARAMS_HANDLE dxParams) ;

#ifdef __cplusplus  
    }               
#endif   //__cplusplus__  

#endif

