/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <dxl_main.h>
#include "tm1blit.h"

static void dummy(void);

static void  dummy(void){ ; }

void tm1SetBlit(void)
{
    DXL_BLIT_FORMAT temp;

#if 0  /* These prototypes go in tm1blit.h or tm2blit.h ... */
    /*16 to 16 blitters */
    extern void DXL_bss00(void);
    extern void DXL_bss01(void);
    extern void DXL_bss10(void);
    extern void DXL_bss11(void);
    extern void DXL_bss02(void);
    extern void DXL_bss12(void);
    extern void DXL_bss20(void);
    extern void DXL_bss21(void);
    extern void DXL_bss22(void);
    
    extern void DXL_bss22_init(void);

    /*16 to 8 blitters */
    extern void DXL_bse00(void);
    extern void DXL_bse01(void);
    extern void DXL_bse10(void);
    extern void DXL_bse11(void);
    extern void DXL_bse02(void);
    extern void DXL_bse12(void);
    extern void DXL_bse20(void);
    extern void DXL_bse21(void);
#endif 

  //  resetBlitters();

    temp = DXL_OverrideBlitter(DXBLIT_SAME,DXRGB16);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss01, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss02, dummy, dummy);

    temp = DXL_OverrideBlitter(DXBLIT_STRETCH,DXRGB16);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss11, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss12, dummy, dummy);

    temp = DXL_OverrideBlitter(DXBLIT_STRETCH_BRIGHT,DXRGB16);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss20, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss21, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss22, (blitFunc) DXL_bss22_init, dummy); 

#if 0
    temp = DXL_OverrideBlitter(DXBLIT_STRETCH_BRIGHT,DXRGB8);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bse20, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bse21, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bse12, dummy, dummy);

    temp = DXL_OverrideBlitter(DXBLIT_STRETCH,DXRGB8);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bse10, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bse11, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bse12, dummy, dummy);

    temp = DXL_OverrideBlitter(DXBLIT_SAME,DXRGB8);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bse00, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bse01, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bse02, dummy, dummy);
#endif
}
