
;------------------------------------------------
; static void bfs00_loX(
;	register unsigned char *luma,register long *chroma,
;	register unsigned long *daddr,register int width,
;	int dwidth,int height,int vres)
;------------------------------------------------
ifdef WIN95
bff00_loXParams    STRUC
                dd  6 dup (?)   ;6 pushed regs
                dd  ?           ;return address
    luma        dd  ?           ;pointer to luma       
    chroma      dd  ?           ;pointer to chroma     
    dst         dd  ?           ;pointer to dest       
    xwidth      dd  ?           ;ximage width          
    dwidth      dd  ?           ;dest width
    height      dd  ?           ;image height
    vres        dd  ?           ;vertical color res
bff00_loXParams    ENDS

else

bff00_loXParams    STRUC
                dd  6 dup (?)   ;6 pushed regs
                dd  ?           ;return address
;    luma        dd  ?           ;pointer to luma        -- eax
;    chroma      dd  ?           ;pointer to chroma      -- edx
;    dst         dd  ?           ;pointer to dest        -- ebx
;    xwidth      dd  ?           ;ximage width           -- ecx
    dwidth      dd  ?           ;dest width
    height      dd  ?           ;image height
    vres        dd  ?           ;vertical color res
bff00_loXParams    ENDS
endif
;------------------------------------------------
BFS_INIT MACRO
    push    esi
    push    edi
    push    ebp
    push    ebx 
    push    ecx
    push    edx

ifdef WIN95
    mov     eax,[esp].dwidth
    mov     ebp,[esp].luma

	shl		eax,1							;dwidth * 4 / 2
    mov     ecx,[esp].xwidth

    mov     esi,[esp].chroma
    mov     edi,[esp].dst

    mov     ebx,[esp].height
    mov     edx,[esp].vres

    shr     ebx,1                           ;height /= 2
    sub     esp,Vars                        ;make room for local var 32 byte block(s)

    shr     ecx,2
nop

    mov     lvres[esp],edx
    mov     dstWidth[esp],eax

    mov     blkWidth[esp],ecx
    mov     i[esp],ecx

    mov     k[esp],ebx                      ;k = height
    mov     chromaPtr[esp],esi

    mov     lchroma[esp],esi
	mov		daddr2[esp],edi					;save dst addr

else

    mov     ebp,eax                         ;get luma pointer
    mov     eax,[esp].dwidth

	shl		eax,1							;dwidth * 4 / 2
    mov     ecx,ecx                         ;get ximage width

    mov     esi,edx                         ;get chroma pointer
    mov     edi,ebx                         ;get dest pointer

    mov     ebx,[esp].height
    mov     edx,[esp].vres

    shr     ebx,1                           ;height /= 2
    sub     esp,Vars                        ;make room for local var 32 byte block(s)

    shr     ecx,2
nop

    mov     lvres[esp],edx
    mov     dstWidth[esp],eax

    mov     blkWidth[esp],ecx
    mov     i[esp],ecx

    mov     k[esp],ebx                      ;k = height
    mov     chromaPtr[esp],esi

    mov     lchroma[esp],esi
	mov		daddr2[esp],edi					;save dst addr
endif
ENDM
;------------------------------------------------
BFS10_INIT MACRO
    push    esi
    push    edi
    push    ebp
    push    ebx 
    push    ecx
    push    edx

ifdef WIN95
    mov     eax,[esp].dwidth
    mov     ebp,[esp].luma

	shl		eax,2							;dwidth * 4 
    mov     ecx,[esp].xwidth

    mov     esi,[esp].chroma
    mov     edi,[esp].dst

    mov     ebx,[esp].height
    mov     edx,[esp].vres

    shr     ebx,1                           ;height /= 2
    sub     esp,Vars                        ;make room for local var 32 byte block(s)

    shr     ecx,2
nop

    mov     lvres[esp],edx
    mov     dstWidth[esp],eax

    mov     blkWidth[esp],ecx
    mov     i[esp],ecx

    mov     k[esp],ebx                      ;k = height
    mov     chromaPtr[esp],esi

    mov     lchroma[esp],esi
	mov		daddr2[esp],edi					;save dst addr

    shl     ecx,2
nop

else

    mov     ebp,eax                         ;get luma pointer
    mov     eax,[esp].dwidth

	shl		eax,2							;dwidth * 4 
    mov     ecx,ecx                         ;get ximage width

    mov     esi,edx                         ;get chroma pointer
    mov     edi,ebx                         ;get dest pointer

    mov     ebx,[esp].height
    mov     edx,[esp].vres

    shr     ebx,1                           ;height /= 2
    sub     esp,Vars                        ;make room for local var 32 byte block(s)

    shr     ecx,2
nop

    mov     lvres[esp],edx
    mov     dstWidth[esp],eax

    mov     blkWidth[esp],ecx
    mov     i[esp],ecx

    mov     k[esp],ebx                      ;k = height
    mov     chromaPtr[esp],esi

    mov     lchroma[esp],esi
	mov		daddr2[esp],edi					;save dst addr

    shl     ecx,2
nop

endif
ENDM