;/***********************************************\
;??? bssh.ash
;\***********************************************/ 
;contains dxparam stucture offset equates
INCLUDE dxparam.ash  
INCLUDE prologue.ash
INCLUDE interp.ash
                                                             
SCREEN565       EQU     0

;************************************************
; void hinterp2to3(DX_PARAMS_HANDLE dxParams)
; hinterp to memory buffer
;************************************************
BSS_H MACRO
        DUCK_PROLOGUE
        sub     esp,4
        mov     ebx,[eax+is565]
        mov     [esp+SCREEN565],ebx
        
        mov     edi,[eax+vDest]                 ;get off screen destination
        mov     ebp,[eax+dxDest]                
        mov     ecx,[eax+xWidth]                 ;get width
        shr     ecx,2

h555_loop:
        mov     ebx,[ebp]       ;read #1    ; get #1,#2 pixel pair
        mov     edx,ebx                     ;save #1,#2 pixels
        mov     eax,edx                     ;temp work reg for #1,#2
        mov     esi,edx                     ;another temp work reg
        rol     eax,16                      ;put #2 pixel in low word
        
        INTERPOLATE     
        
        rol     eax,16                      ;put interp in high word, pixel #1 already in high word
        mov     [edi],eax       ;write #1   ;write 1+2/2,#1 pixels
                
        mov     edx,[ebp+4]     ;read #2    ;get #3,#4 pixel pair
        mov     bx,dx                       ;pair up #2,#3
        rol     ebx,16                      ;put #2 in low, #3 in high
        mov     [edi+4],ebx     ;write #2   ;write #2,#3 pixel pair

        mov     eax,edx                     ;save #3,#4 pixel pair
        mov     esi,edx                     ;another temp work reg
        rol     edx,16                      ;put #4 pixel in low word
        
        INTERPOLATE
        
        mov     [edi+8],eax     ;write #3   ;write 3+4/2,#4 pixels
                
        add     edi,12
        add     ebp,8
        dec     ecx
        jnz     h555_loop                   ;until counts down

        add     esp,4
        pop     es
        pop     ds
        popad
        ret
ENDM

;************************************************
; void h2to3_vesa(DX_PARAMS_HANDLE dxParams)
; hinterp 2x3 stretched to memory buffer
;************************************************
BSS_HS MACRO
        DUCK_PROLOGUE

        mov     edi,[eax+vDest]                 ;get off screen destination
        mov     ebp,[eax+dxDest]                
        mov     ecx,[eax+xWidth]                 ;get width
        shr     ecx,1

        mov     bx,[ebp]        ;read #1        ;get #0 pixel  
        add     ebp,2

        cmp     DWORD PTR[eax+is565],1
        je      ff_565

ff_555:
        FATFREDDY_STRETCH_PIXLOOP _555_SAVEBITS, _555_MASK, edi

    rol     ebx,16
    sub     edi,2
    mov     [edi],bx                    ;write last pixel

        pop     es
        pop     ds
        popad
        ret

ff_565:
        FATFREDDY_STRETCH_PIXLOOP _565_SAVEBITS, _565_MASK, edi

    rol     ebx,16
    sub     edi,2
    mov     [edi],bx                    ;write last pixel

        pop     es
        pop     ds
        popad
        ret



ENDM