/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <dkpltfrm.h>

#include "tinker.h"
#include <stdlib.h>

void reorder_cData(unsigned long *cDataPtr, long length)
{
	unsigned short *shortPtr = (unsigned short *)cDataPtr;
	unsigned long *longPtr = cDataPtr;
	int i;
	unsigned short temp1,temp2;

	for(i = 0; i < length; i++){
#ifdef _bigend_h
#if 0
		temp3 = *longPtr;
		*longPtr++ = invert4(temp3);
#else
		temp1 = shortPtr[0];
		temp2 = shortPtr[1];
		shortPtr[0] = invert2(temp2);
		shortPtr[1] = invert2(temp1);
		shortPtr += 2;
#endif
#else
		temp1 = *shortPtr++;
		temp2 = *shortPtr++;
		*longPtr++ = temp2 + ((unsigned long)temp1 << 16);
#endif
	}
}
