/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifdef _bigend_h
#define i2(x) ( x )
#define i4(x) ( x )
#else
#define i2(x) ( (((x)>>8)&0x00ff) | (((x)<<8)&0xff00) )
#define i4(x) ( ((i2(x)&0x0000ffff)<<16) | (i2((x>>16))&0x0000ffff) )
#endif

void createGamma162Table(void);
void createGammaTable(void);

int readHeader(DXL_TM2X_HANDLE src);
int tm2_xImageDestroy(DXL_TM2X_HANDLE src);
int DXL_dTM2XToVScreen(DXL_TM2X_HANDLE src, DXL_VSCREEN_HANDLE vScreen);
DXL_INTERNAL_FORMAT tm2_GetXImageInternalFormat(DXL_XIMAGE_HANDLE xImage, DXL_VSCREEN_HANDLE vScreen);



