/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _tm2blit_h
#define _tm2blit_h

#define MASKER 0x000003FC

#define BYTEZERO(tbl,x) \
*((unsigned long *)  &(((unsigned char *) tbl)[x >> 22 & MASKER]))

#define BYTEONE(tbl,x) \
*((unsigned long *)  &(((unsigned char *) tbl)[x >> 14 & MASKER]))

#define BYTETWO(tbl,x) \
*((unsigned long *)  &(((unsigned char *) tbl)[x >> 6 & MASKER]))

#define BYTETHREE(tbl,x) \
*((unsigned long *)  &(((unsigned char *) tbl)[x << 2 & MASKER]))

typedef int  PitchType;
		
void tm2bft00(unsigned long *lcDest,unsigned long **hDest, 
				PitchType scrnPitch);
				
void tm2bft10(unsigned long *lcDest,unsigned long **hDest, 
				PitchType scrnPitch);

void tm2bff00(unsigned long *lcDest,unsigned long **hDest, 
				PitchType scrnPitch);
				
void tm2bff10(unsigned long *lcDest,unsigned long **hDest, 
				PitchType scrnPitch);

#endif /* include guards */
