/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	_MACIO_
#define _MACIO_

#ifdef	__POWERPC__
#include	<fcntl.h>

/* threaded I/O routines for Macintosh */
int th_io_creat(const char *filename);
int th_io_open(const char *filename,int perm,int mode);
int th_io_open(const char *filename,int perm);
int th_io_close(int fd);
int th_io_read(int fd,char *buf,int siz);
int th_io_write(int fd,const char *buf,int siz);
int th_io_seek(int fd,long amt,int orig);
int th_errno(void);

#endif
#endif
