/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/*******************************************************************************\
*                                                                               *
* hfb_flag.c -   multi-platform AVI library                        *
*               Copyright (c) 1994-99, The Duck Corp. All rights reserved.         * 
*
*                                                                               *
*                 Author:       Eric Ameres                                     *
*                 Version:      .95                                             *
*                 Created:      10/24/94                                        *
*                                                                               *
\*******************************************************************************/
#include <assert.h>
#include "dkpltfrm.h"
#include "duckwalk.h"

int lHFB_GetIndexFlags(HFB_STREAM_HANDLE sPtr,enum FTYPE format,int frameNum)
{
    HFB_BUFFER_HANDLE dckPtr;
    register int i;
    
	assert(sPtr != NULL);
	if (!sPtr)
		return 0;

	assert(sPtr->parent != NULL);
	if (!sPtr->parent)
		return 0;

	assert(sPtr->parent->bfHnd != NULL);
	if (!sPtr->parent->bfHnd)
		return 0;

	dckPtr = sPtr->parent->bfHnd;

    if ((frameNum > -1) && (frameNum < dckPtr->indxCount)){
 		if (format == HFB_FRAMENUM){
	 		register DCKINDEXENTRY *lindx = dckPtr->indx;
	 		
	 		for(i = 0; i < dckPtr->indxCount; i++,lindx++)
		    	if (lindx->dckID == sPtr->parent->streamNum)
		            if (--frameNum < 0) 
		            	break;
	    }else 
			i = frameNum;
	    
		if ((i < dckPtr->indxCount) && (i >= 0))
 			return (int)dckPtr->indx[i].dckFlags;
 	}
 	return 0;
}
