/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _dxl_aud_h
#define _dxl_aud_h

#include "duck_hfb.h"
#include "duck_dxl.h"


enum spkrst8 { SPEAKEROFF = 0, SPEAKERON = 1, FEEDSPEAKER = 2, MONOSPEAKER = 3};
enum syncst8 { NOSYNC = 0, SYNCSPEAKER = 1, SYNCSYSTEM = 2};


extern enum spkrst8 speakerstate;
extern enum syncst8 syncstate;


void Announcement(char *msg);

extern "C" { 

	int FillAudio( HFB_BUFFER_HANDLE hfb, MFP_STREAM_HANDLE as, int *index,
			   void **blk, long *Len, int buffPreload, int MultiBlock);
			   
	int SetupAudio( HFB_BUFFER_HANDLE hfb, MFP_STREAM_HANDLE as, int Setstate, 
				int freq, int width16, int Stereo);
				
	void StartPlaying(void) ;
	
	void StopPlaying(void);
	
	
	void ResyncAudio(
	HFB_BUFFER_HANDLE hfb, 
	HFB_STREAM_HANDLE astr,
	int *index, void **blk, long *Len, int frame, int frame_rate);
}
			   
			   
#endif
