ROOT = ../..
 
BUILD_OBJECTS = $(subst ../generic, $(ROOT)/objectfiles/jinux/debug_native/sal/generic, $(wildcard ../generic/*.c))
BUILD_OBJECTS := $(subst .c,.o, $(BUILD_OBJECTS))
BUILD_OBJECTS := $(BUILD_OBJECTS) $(subst ../linux, $(ROOT)/objectfiles/jinux/debug_native/sal/linux, $(wildcard ../linux/*.c))
BUILD_OBJECTS := $(subst .c,.o, $(BUILD_OBJECTS))
INCLUDES :=  -I ../../generic -I../../include -I../../include/linux -I../../../include -I. -I.. 
 
CCFLAGS_BUILD =    -g 
 
VPATH = ../generic ../linux
 
$(ROOT)/objectfiles :  
	mkdir -p $(ROOT)/objectfiles
 
$(ROOT)/objectfiles/jinux : $(ROOT)/objectfiles
	mkdir -p $(ROOT)/objectfiles/jinux
 
$(ROOT)/objectfiles/jinux/debug_native : $(ROOT)/objectfiles/jinux/
	mkdir -p $(ROOT)/objectfiles/jinux/debug_native
 
$(ROOT)/objectfiles/jinux/debug_native/sal : $(ROOT)/objectfiles/jinux/debug_native
	mkdir -p $(ROOT)/objectfiles/jinux/debug_native/sal
 
$(ROOT)/objectfiles/jinux/debug_native/sal/generic : $(ROOT)/objectfiles/jinux/debug_native/sal
	mkdir -p $(ROOT)/objectfiles/jinux/debug_native/sal/generic
 
$(ROOT)/objectfiles/jinux/debug_native/sal/linux : $(ROOT)/objectfiles/jinux/debug_native/sal
	mkdir -p $(ROOT)/objectfiles/jinux/debug_native/sal/linux
 
$(ROOT)/objectfiles/jinux/debug_native/sal/generic/%.o:  %.c $(ROOT)/objectfiles/jinux/debug_native/sal/generic
	gcc -c  $(CCFLAGS_BUILD) $(INCLUDES) -o $@ $< 
 
$(ROOT)/objectfiles/jinux/debug_native/sal/linux/%.o:  %.c $(ROOT)/objectfiles/jinux/debug_native/sal/linux
	gcc -c  $(CCFLAGS_BUILD) $(INCLUDES) -o $@ $< 
 
 
 
 
$(ROOT)/lib/jinux/debug_native : 
	mkdir -p $(ROOT)/lib/jinux/debug_native
$(ROOT)/lib/jinux/debug_native/libsal_gs.a : $(BUILD_OBJECTS) 
	ar -r $(ROOT)/lib/jinux/debug_native/libsal_gs.a $(BUILD_OBJECTS) 
 
debug_static : $(ROOT)/lib/jinux/debug_native  $(ROOT)/lib/jinux/debug_native/libsal_gs.a
