/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef IVAWRITERSTANDARD_H_
#define IVAWRITERSTANDARD_H_

#include "iva_Writer.h"
#include "ivaIOstandard.h"
#include "iva.h"

class ivaWriterStandard: public iva_Writer
{
	ivaIOstandard	mIO;

public:
	ivaWriterStandard(const ivaHeader &header, 
		size_t header_padding = 2048, size_t chunk_padding = 1)
		: iva_Writer(mIO,header,header_padding,chunk_padding) {}
};

#endif
