/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef riffFormat_included
#define riffFormat_included

// $Id: sclrFormat.h,v 1.1 2001/12/12 18:47:58 nradisch Exp $
// very simple scalar formatting for use with generated io...
// the types in here should be in sync with the generator generate_io_classes...
//
// Alan S. Rojer
// The Duck Corp.
// 23 Aug 1997

#include <iostream>

class riffFormat {
public:
	static void prefix(std::ostream&, unsigned int level=0);
	static void a_FCC(std::ostream&, unsigned long, unsigned int level=0);
	static void a_dword(std::ostream&, unsigned long, unsigned int level=0);
	static void a_long(std::ostream&, long, unsigned int level=0);
	static void a_word(std::ostream&, unsigned short, unsigned int level=0);
	static void a_uint(std::ostream&, unsigned long, unsigned int level=0);
	static void a_ushort(std::ostream&, unsigned short, unsigned int level=0);
	static void a_ulong(std::ostream&, unsigned long, unsigned int level=0);
	static void a_short(std::ostream&, short, unsigned int level=0);
	static void a_int(std::ostream&, long, unsigned int level=0);
	static void a_byte(std::ostream&, unsigned char, unsigned int level=0);
};

#endif // riffFormat_included
