/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _tmrtdx_h

#define _tmrtdx_h



#ifndef _tmrt_h

#include "tmrt.h"

#endif



#ifdef __cplusplus

extern "C" {

#endif



int tmrtdx_query_paramsize(void);

void tmrtdx_init(void *param);

void tmrtdx_free(void *param);

int tmrtdx_begin_dx(void *param,int width,int height);

void tmrtdx_end_dx(void *param);

void tmrtdx_dx(void *param,char *src_addr,char *dst_addr,long dst_pitch,long doublesize,long dst_fmt);



#ifdef __cplusplus

}

#endif

#endif

