/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef CNEILCAPSTREAM_H_

#define CNEILCAPSTREAM_H_





#include "CMessageStream.h"



class CNeilCapStream: public CMessageStream

{

	RECT	mRect;

	CWnd	*mWnd;

	int		mOffset;

	CFont	mFont;



public:

	CNeilCapStream(void);

	CNeilCapStream(RECT where,CWnd *wnd,int offset);

	void	SetRect(RECT where);

	void	SetWnd(CWnd *wnd);

	void	SetOffset(int offset);

	virtual	void	Display(const char *data);



};



#endif

