/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// C3BitmapButton.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// C3BitmapButton window

#ifndef C3BITMAPBUTTON_H_

#define C3BITMAPBUTTON_H_



class C3BitmapButton : public CButton

{

	CBitmap	mNormalBitmap;

	CBitmap	mHiliteBitmap;

	CBitmap	mActiveBitmap;

	CBitmap	mAltNormal;

	CBitmap mAltHilite;

	CBitmap mAltActive;

	int		mAlt;

	int		mUseAlt;



// Construction

public:

	C3BitmapButton(int normal_bitmap,int hilite_bitmap,int active_bitmap);

	void	SetAltSet(int normal_bitmap,int hilite_bitmap,int active_bitmap);

	void	UseAltSet(int a);



// Attributes

public:



// Operations

public:



// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(C3BitmapButton)

	public:

	virtual BOOL PreTranslateMessage(MSG* pMsg);

	protected:

	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);

	//}}AFX_VIRTUAL



// Implementation

public:

	virtual ~C3BitmapButton();



	// Generated message map functions

protected:

	//{{AFX_MSG(C3BitmapButton)

	afx_msg void OnMouseMove(UINT nFlags, CPoint point);

	afx_msg BOOL OnEraseBkgnd(CDC* pDC);

	//}}AFX_MSG



	DECLARE_MESSAGE_MAP()



	virtual void DrawItem(LPDRAWITEMSTRUCT);

	int	mSelected;

};



/////////////////////////////////////////////////////////////////////////////

#endif

