/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CChannelScanDialog.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// CChannelScanDialog dialog

class CTrueCapDoc;



#include "IVideoTuner.h"



class CChannelScanDialog : public CDialog

{

// Construction

public:

	CChannelScanDialog(CWnd* pParent = NULL);   // standard constructor



	CTrueCapDoc	*mDocument;

	IVideoTuner::ChannelList_t mChannelList;





// Dialog Data

	//{{AFX_DATA(CChannelScanDialog)

	enum { IDD = IDD_SCANLIST_DIALOG };

	CListBox	mcList;

	UINT	mChannel;

	//}}AFX_DATA





// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(CChannelScanDialog)

	protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	//}}AFX_VIRTUAL



// Implementation

protected:



	// Generated message map functions

	//{{AFX_MSG(CChannelScanDialog)

	afx_msg void OnCsAdd();

	afx_msg void OnCsDelete();

	afx_msg void OnCsScan();

	afx_msg void OnCsVideosettings();

	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

};

