/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CEventListDialog.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// CEventListDialog dialog

#include <vector>
using namespace std;

#include "nmr_string.h"

#include "CTimeShiftManager.h"

#include "IEventEditSupervisor.h"

#include "resource.h"



class CEventListDialog : public CDialog

{

// Construction

public:

	int	mEventLimit;

	int	mEventTimeLimit;

	CEventListDialog(CWnd* pParent = NULL);   // standard constructor

	IEventEditSupervisor	*mSupervisor;

	CTimeShiftManager::EventList_t	mList;



// Dialog Data

	//{{AFX_DATA(CEventListDialog)

	enum { IDD = IDD_EVENTLIST_DIALOG };

	CButton	mAddButton;

	CListBox	mcList;

	//}}AFX_DATA





// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(CEventListDialog)

	protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	//}}AFX_VIRTUAL



// Implementation

protected:

	CFont	mFont;

	void UpdateAddButton(void);



	// Generated message map functions

	//{{AFX_MSG(CEventListDialog)

	afx_msg void OnElAdd();

	afx_msg void OnElDelete();

	afx_msg void OnElEdit();

	afx_msg void OnDblclkElList();

	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

};

