/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CScanningDialog.cpp : implementation file

//



#include "stdafx.h"

#include "TrueCap.h"

#include "CScanningDialog.h"



#ifdef _DEBUG

#define new DEBUG_NEW

#undef THIS_FILE

static char THIS_FILE[] = __FILE__;

#endif



/////////////////////////////////////////////////////////////////////////////

// CScanningDialog dialog





CScanningDialog::CScanningDialog(CWnd* pParent /*=NULL*/)

	: CDialog(CScanningDialog::IDD, pParent)

{

	mCancelFlag = false;



	//{{AFX_DATA_INIT(CScanningDialog)

	mChannel = _T("");

	//}}AFX_DATA_INIT

}





void CScanningDialog::DoDataExchange(CDataExchange* pDX)

{

	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CScanningDialog)

	DDX_Text(pDX, IDC_SCANNING_CHANNEL, mChannel);

	//}}AFX_DATA_MAP

}





BEGIN_MESSAGE_MAP(CScanningDialog, CDialog)

	//{{AFX_MSG_MAP(CScanningDialog)

	//}}AFX_MSG_MAP

END_MESSAGE_MAP()



/////////////////////////////////////////////////////////////////////////////

// CScanningDialog message handlers



void	

CScanningDialog::Channel(int channel)

{

	char b[256];

	mChannel = itoa(channel,b,10);

	UpdateData(FALSE);

}



bool	

CScanningDialog::Cancel(void)

{

    MSG msg;

    if ( ::PeekMessage( &msg, NULL, 0, 0, PM_NOREMOVE ) ) 

		{ 

        AfxGetApp()->PumpMessage(); 

		} 



	return mCancelFlag;

}





void CScanningDialog::OnCancel() 

{

	// TODO: Add extra cleanup here

	mCancelFlag = true;

	DestroyWindow();



//	CDialog::OnCancel();

}

