/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// CVideoSettingsDialog.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// CVideoSettingsDialog dialog



#include "IVideoTuner.h"

#include "IEventEditSupervisor.h"

#include "resource.h"



class CVideoSettingsDialog : public CDialog

{

// Construction

public:

	CVideoSettingsDialog(CWnd* pParent = NULL);   // standard constructor



	IEventEditSupervisor	*mSupervisor;



	IVideoTuner::VideoSource_t	mVideoSource;

	U8				mBrightness;

	U8				mContrast;

	U8				mHue;

	U8				mSaturation;



// Dialog Data

	//{{AFX_DATA(CVideoSettingsDialog)

	enum { IDD = IDD_VIDEO_DIALOG };

	int		mDimensions;

	int		mQuality;

	int		mFPS;

	//}}AFX_DATA





// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(CVideoSettingsDialog)

	protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

	//}}AFX_VIRTUAL



// Implementation

protected:



	// Generated message map functions

	//{{AFX_MSG(CVideoSettingsDialog)

		// NOTE: the ClassWizard will add member functions here

	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

};

