/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// MainFrm.cpp : implementation of the CMainFrame class

//

/* 

  dbm -- notes on VpVision

  TC8.zip -	this version plays VP3 files (note: it plays ONLY vp3 files & doesn't
			have any error protection for other AVI files).  Using a test file 
			(VP3RTEST.AVI) with 320x240, 30fps VP3 + 22 khz 8-bit PCM audio.
			Things I did to get this to work:
			- replace s_dxv.lib with a build from \bench\vp32
				this & other s_*.libs go into \truecap\ducksoft\dxv\win95\obj.rel
			- also needed s_vpxblit.lib, s_vp31d.lib, s_cpuid.lib
			- modified HFB, replaced fourCC "TIGB" with "VP31" somewhere
			- added declaration & call to vp31_Init();
			- that's all I can remember now
			- we REALLY need to clean up the build: right now I build Vp3 stuff
				in vp32.dsw, copy libs to truecap\.., build HFB using nmake, then
				build truecap.dsw! Bad news.

	TC9	--	moved vp3-based DXV into dxv_new, renamed orig as dxv_old.
			truecap.dsw now builds everything except HFB (I think...)
	TC10 --	ok, everything seems to be in the project now EXCEPT tmrtxx which
			is apparently missing (we're linking with a naked lib.)
			Problems: 
			- only set up for release, not sure if debug will work
			- tmrtxx.lib missing source
			- not clear if 'clean' is working correctly
			- not clear if project is set up to force sub-projects to build,
				or do you have to do that by hand?
			- note that when you import a .dsp project with dependency,
				it's automatically included in the link (looks like a shortcut icon)
			- this will be a full backup because of all the DSW's, makefiles etc

			- making more changes to get everything in (Dxa, etc) & testing
				full build
			- ok here's sitch: everything except HFB & DXA are compiled automatically,
				reason being their little linkies are under trueCap.  DXA & HFB I had to
				delete the thingies and import S_DXA.lib, S_HFB.lib, because these
				aren't the project names or something like that.  Should be fixable.
				And we still need tmrtxx if we care.

				Will save as TC11 after cleaning.
	TC11 --	I think this was a build test?
	TC12 --	build now includes source for RTXX!!!  Same prob. as before -- gotta 
			do an explicit build before truecap -- will test full build now to
			ensure no mistakes

	TC13 --	capturing & playing VP3!!!!  using codec for capture.  Had to fix major problems in VP3 codec --
			colorspace, initialization, upsidedown -- need to fix up & make new release of VP3
			MUST USE VP3_TC13.zip!!
	TC14 --	cleaned up debug stuff here & in VP3_TC14
	TC15 --	attempting playback using Vorbis ACM (test file=vp3_vorb.avi)
	TC16 --	added dbgout.h for ducksoft/hfb/src -- kluge to avoid stdlib issues
	TC17 --	got it to play (added the Vorbis case in CDuckAudioSrcDirect), audio is garbage
	TC18 --	working on ACM playback -- putting buzz in the buffer
	TC19 --	Waiting for Eric to help with HFB, so I'm wrapping thvis up (ACM support) for now
	TC20 --	Figgered out how to do a proper MSVC GUI build on HFB
	TC21 --	Ok, got new_hfb to compile -- now fun begins
			compiled, tested with old hfb (\truecap\ducksoft\hfb\win95\hfb\release\hfb.lib)
			works fine; but with new hfb (\truecap\ducksoft\new_hfb\corelibs\hfb\win95\hfb\hfb.lib),
			we get 'error 2' ("Here's your error")
	TC22 --	I hate it when that happens -- suddenly CRTCompressor.cpp wouldn't compile,
			it needed a new include path for tmrtxx.h!  And, I went back to TC15
			but still no dice.  I know I've done full builds since then... shit
			Wait -- I think it was 'cuz I was in debug build mode
	TC23 --	got the crapper to work -- 'twas a stinky fprintf!
	TC24 --	ok, acmStreamPrepareHeader is working now -- slavishly copied buffer sizes from Vdub!  What the fuck is that?
			still no audio (well, a bit 'o whitenoiz at the top)
	TC25 --	got first few millisecs of Vorbis -- but something's fucked -- search for //]
	TC26 --	oy, what a stupido -- got it working finally
			now, support seeking!
			now we can't play raw audio anymore!  WHat's that about?
	TC27 --	fixed it -- HFB bug -- no longer supported raw audio (old WAVEFORMAT struct) correctly

	TC28 --	in transition -- writing VORBIS header..  Now we just need some VORBO data!!
	TC29 --	compressing something, some f**ked up headers, Mediaplayer plays it too fast, this guy crashes
	tc30 --	need to fix header to have proper samples per block (see fix in HFB_InitBuffer)
			or is it that?  Where did samplesperblock come from?
			
		still getting errors in AcmDecompress... (the convert routine)
	tc31 --	well, ignoring the AcmDecompress errors for now, it plays sort of like MediaPlayer (too fast), but
			the main thread crashes right away while the player thread goes on in the background.  Hmm...
			need to fix the AVI stuff!! (make it look like a properly formed mono 44khz Vorbis file.)
	tc32 --	welll... it's sort of playing something right timing-wise in MPlayer, more screwed up in here,
			but it's probably getting in the right direction.  However something is wrong.

		next step: check that data compressed = data played.
		And the answer is -- it doesn't match!! (see log for 'compressed data' & 'decompressed data' -- should
		be equiv)
	tc33 --	much closer now -- MediaPlayer plays back fine -- we still seem to get an 'illegal param' most of the
			time -- maybe we're seeking around madly during playback?  Need to test on a faster machine, where
			we get all the frames compressed properly.

	tc34 --	BIG SIGH -- audio playback bug (prep needs MAX SOURCE, not len!) -- finally sorta working.  Caveats:
			* kluged in rate & scale, need to find out where they are inserted.  Hard-code for 15 or 30 fps (search
			for rate/scale kluge)
			* only works properly if no frames dropped (NO! It works with dropped frames - ed.)
			* seeking all messed up
			* 16 bit, 44100 hz, mono audio only!
			* 320x240 only

	tc35 --	new bitmaps (VPVision..) and full backup -- anc changed title bar
	tc36 --	disabled recalc_framerate (see CIvaPWriter_TC::Configure & ::ConfigureIfNeeded)
			we need to fix IVA function to deal with compressed audio (see iva_Writer::recalc_framerate)
	tc37 --	.VP3 instead of .AVI, and disabled eval keystring stuff
	tc38 --	enforcing valid audio params (mono, 16 bit, 44 khz) & video --
			also fiddling with icon files (???)

		need to fix:
			disable bad audio formats in timed record
			AVI added in timed record (done?)

	tc40 --	release candidate for beta ver 0.5 -- with installer, vorbis no debugging, etc.
	tc41 --	fixed some default vals -- timed events still crash with appended date & time
			this is RC2
	tc42 --	profile strings to force CPUID (for this funked 'P4'-not), rate & scalen
	tc43 --	going to fool around with CBR audio...
	tc44 --	aborted?
	tc45 -- CBR working within our own app -- need to test in MPlayer -- look at rate & avgbyte stuff in audio write header
			low disk space error commented out (until we find out what gives)

	tc46 -- need to work on seeking video (keyframes)
	tc47 --	CBR bug fixed partially (chunks > 4096 were being truncated) --
			we still need to keep track & reduce future chunks.
	tc48 --	rc3???
			got overflow logic working, hopefully
			fixed so we can play VDub-generated files (checks for sane length header in audio chunks)
			forgot to change avgbytespersec to 8000, just did it -- need to re-release as rc3(b)
	tc49 --	attempting to clean up -- removing all unused files & directories
	tc50 -- cleaning up build; no more nmakes etc., get dependencies to work
			(shoulda done this before)
	tc51 --	got dxa, tmrtxx, and hfb to build properly -- looks good
	tc52 --	works anywhere (not just c:\truecap), debug looks good too
	tc53 --	fixed debug bug (stupid assert(0) in audio decompress)
			still annoying link error in debug, have to compile twice!
	tc54 --	with the batch files for adding GNU header
	tc55 -- should be clean
	vpvision0.5_source.zip
*/


#include "stdafx.h"

#include "TrueCap.h"

#include "TrueCapDoc.h"

#include "TruecapGlobals.h"



#include "MainFrm.h"

#include "nmr_string.h"

#include <assert.h>

extern "C" {
void cdecl dprintf(char * szFormat, ...);
}


#ifdef _DEBUG

#define new DEBUG_NEW

#undef THIS_FILE

static char THIS_FILE[] = __FILE__;

#endif



///dbm:
#define DPRINTF_ON 0
#if DPRINTF_ON
void dbgout(char *str)
{
	FILE *fh;

    fh = fopen("C:\\dan.log","a+");
	if(fh != NULL) {
		fputs(str,fh);
		fclose(fh);
    } /// else while(1);
}

void cdecl dprintf(LPSTR szFormat, ...)
{
    char ach[256];

    wvsprintf(ach,szFormat,(LPSTR)(&szFormat+1));
    lstrcat(ach, "\n");

    dbgout(ach);
}

void dtime() {
	dprintf("tick=%d",GetTickCount());
}

void dumpdata(unsigned char *d, int lines) {
    char ach[100];
	for(int x=0; x<lines; x++) {
		wsprintf(ach,"%.2x %.2x %.2x %.2x  %.2x %.2x %.2x %.2x | %.2x %.2x %.2x %.2x  %.2x %.2x %.2x %.2x -- %c %c %c %c %c %c %c %c  %c %c %c %c %c %c %c %c", 

				d[0],d[1],d[2],d[3], d[4],d[5],d[6],d[7],
				d[8],d[9],d[10],d[11], d[12],d[13],d[14],d[15],
				
				d[0]>0x20 && d[0]<0x80? d[0]:0x20,
				d[1]>0x20 && d[1]<0x80? d[1]:0x20,
				d[2]>0x20 && d[2]<0x80? d[2]:0x20,
				d[3]>0x20 && d[3]<0x80? d[3]:0x20,
				d[4]>0x20 && d[4]<0x80? d[4]:0x20,
				d[5]>0x20 && d[5]<0x80? d[5]:0x20,
				d[6]>0x20 && d[6]<0x80? d[6]:0x20,
				d[7]>0x20 && d[7]<0x80? d[7]:0x20,
				d[8]>0x20 && d[8]<0x80? d[8]:0x20,
				d[9]>0x20 && d[9]<0x80? d[9]:0x20,
				d[1]>0x20 && d[10]<0x80? d[10]:0x20,
				d[1]>0x20 && d[11]<0x80? d[11]:0x20,
				d[1]>0x20 && d[12]<0x80? d[12]:0x20,
				d[1]>0x20 && d[13]<0x80? d[13]:0x20,
				d[1]>0x20 && d[14]<0x80? d[14]:0x20,
				d[1]>0x20 && d[15]<0x80? d[15]:0x20
			);
		lstrcat(ach, "\n");
		dbgout(ach);
		d += 16;
	}
}
#else
void cdecl dprintf(LPSTR szFormat, ...) { }
void dtime() { }
void dumpdata(unsigned char *d, int lines) { }
void dbgout(char *str) { }

#endif
#include "danbug.h"
/////////////////////////////////////////////////////////////////////////////

// CMainFrame



IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)



BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)

	//{{AFX_MSG_MAP(CMainFrame)

	ON_WM_CREATE()

	ON_WM_SETCURSOR()

	ON_WM_LBUTTONDOWN()

	ON_WM_LBUTTONDBLCLK()

	ON_WM_RBUTTONDBLCLK()

	ON_WM_RBUTTONDOWN()

	ON_WM_MOVE()

	ON_WM_ACTIVATEAPP()

	ON_UPDATE_COMMAND_UI(ID_HELP, OnUpdateHelp)

	ON_WM_PAINT()

	//}}AFX_MSG_MAP

	// Global help commands

	ON_COMMAND(ID_HELP_FINDER, CFrameWnd::OnHelpFinder)

	ON_COMMAND(ID_HELP, CFrameWnd::OnHelp)

	ON_COMMAND(ID_CONTEXT_HELP, CFrameWnd::OnContextHelp)

	ON_COMMAND(ID_DEFAULT_HELP, CFrameWnd::OnHelpFinder)

END_MESSAGE_MAP()



static UINT indicators[] =

{

	ID_SEPARATOR,           // status line indicator

//	ID_INDICATOR_CAPS,

//	ID_INDICATOR_NUM,

//	ID_INDICATOR_SCRL,

};



/////////////////////////////////////////////////////////////////////////////

// CMainFrame construction/destruction



CMainFrame::CMainFrame()

{

	// TODO: add member initialization code here

	mDocument = 0;	

	mDDPointer = 0;

	mAppActive = false;

	mHelpOK = true;

	mStatusOK = true;

}



CMainFrame::~CMainFrame()

{

 dprintf("Window destroyed at tick=%d\n",GetTickCount());
	if (mDDPointer)

		{

		}

}



void

CMainFrame::ViewDestroying(void)

{

	mStatusOK = false;

}



bool

CMainFrame::IsAppActive(void)

{

	return mAppActive;

}



bool

CMainFrame::CaptureFullScreen(bool fullscreen)

{

	if (fullscreen)

		{

		assert(!mDDPointer);

		int err;

		HWND	parent;



		::SetCursor(NULL);

		CoInitialize(NULL);



		if (CoCreateInstance(CLSID_DirectDraw,NULL,CLSCTX_ALL,

					IID_IDirectDraw2,(void **)&mDDPointer) != DD_OK)

			{

			AfxMessageBox("DirectDraw not available");

			mDDPointer = 0;

			return false;

			}



		if (mDDPointer->Initialize(NULL) != DD_OK)

			{

			AfxMessageBox("DirectDraw could not initialize");

			CoUninitialize();

			mDDPointer = 0;

			return false;

			}



		parent = m_hWnd;

		while (::GetParent(parent)) 

			parent = ::GetParent(parent);





		DDSURFACEDESC dds;

		memset(&dds,sizeof(dds),0);

		dds.dwSize = sizeof(dds);

		if ((err = mDDPointer->GetDisplayMode(&dds)) != DD_OK)

			{

			AfxMessageBox("DirectDraw could not get current video mode");

			mDDPointer->Release();

			CoUninitialize();

			mDDPointer = 0;

			return false;

			}

		mPreviousScreenWidth = dds.dwWidth;

		mPreviousScreenHeight = dds.dwHeight;

		mPreviousScreenDepth = dds.ddpfPixelFormat.dwRGBBitCount;

		mPreviousMenu = GetMenu()->GetSafeHmenu();

		GetWindowRect(&mPreviousWindowLocation);

		ModifyStyle(WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME,0); 

		SetMenu(0);

		m_wndStatusBar.ShowWindow(SW_HIDE);

		//MoveWindow(-2,-2,mPreviousScreenWidth + 10,mPreviousScreenHeight + 10,true);

		SetWindowPos(&wndTopMost,-2,-2,mPreviousScreenWidth + 10,mPreviousScreenHeight + 10,0);

	

		CDC *dc = GetDC();

		RECT r;

		GetClientRect(&r);

		dc->FillSolidRect(&r,0);

		ReleaseDC(dc);



		if ((err = mDDPointer->SetDisplayMode(640,480,dds.ddpfPixelFormat.dwRGBBitCount,0,0)) != DD_OK)

			{

			AfxMessageBox("DirectDraw could not set 640x480 video mode");

			mDDPointer->Release();

			CoUninitialize();

			mDDPointer = 0;

			SetMenu(CMenu::FromHandle(mPreviousMenu));

			ModifyStyle(0,WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU);

			m_wndStatusBar.ShowWindow(SW_SHOW);

			//MoveWindow(&mPreviousWindowLocation);

			SetWindowPos(&wndNoTopMost,

				mPreviousWindowLocation.left,

				mPreviousWindowLocation.top,

				mPreviousWindowLocation.right - mPreviousWindowLocation.left,

				mPreviousWindowLocation.bottom - mPreviousWindowLocation.top,0);

			return false;

			}



		//MoveWindow(-2,-2,644,484,false);

		SetWindowPos(&wndTopMost,-2,-2,644,484,0);



		dc = GetDC();

		GetClientRect(&r);

		dc->FillSolidRect(&r,0);

		ReleaseDC(dc);



		::SetCursor(NULL);

		mHelpOK = false;

		}



	else

		{ // not fullscreen

		mHelpOK = true;

		assert(mDDPointer);

		int err;

		if ((err = mDDPointer->SetDisplayMode(mPreviousScreenWidth,mPreviousScreenHeight,mPreviousScreenDepth,0,0)) != DD_OK)

			AfxMessageBox("DirectDraw could not restore video mode");



		mDDPointer->RestoreDisplayMode();

		mDDPointer -> Release();

		CoUninitialize();

		mDDPointer = 0;

		SetMenu(CMenu::FromHandle(mPreviousMenu));

		ModifyStyle(0,WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU);

		m_wndStatusBar.ShowWindow(SW_SHOW);

		SetWindowPos(&wndNoTopMost,//&wndTop,

				mPreviousWindowLocation.left,

				mPreviousWindowLocation.top,

				mPreviousWindowLocation.right - mPreviousWindowLocation.left,

				mPreviousWindowLocation.bottom - mPreviousWindowLocation.top,

				0);

		//MoveWindow(&mPreviousWindowLocation);

		}

	return true;

}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)

{

	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)

		return -1;

	

#if 0

	if (!m_wndToolBar.Create(this) ||

		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))

	{

		TRACE0("Failed to create toolbar\n");

		return -1;      // fail to create

	}

#endif



	if (!m_wndStatusBar.Create(this) ||

		!m_wndStatusBar.SetIndicators(indicators,

		  sizeof(indicators)/sizeof(UINT)))

	{

		TRACE0("Failed to create status bar\n");

		return -1;      // fail to create

	}



	// TODO: Remove this if you don't want tool tips or a resizeable toolbar

#if 0

	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |

		CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC);



	// TODO: Delete these three lines if you don't want the toolbar to

	//  be dockable

	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);

	EnableDocking(CBRS_ALIGN_ANY);

	DockControlBar(&m_wndToolBar);

#endif


///dbm:
	
 dprintf("Dan's debugging log build 506 app launched at tick=%d",GetTickCount());
	return 0;
}



BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)

{

	// TODO: Modify the Window class or styles here by modifying

	//  the CREATESTRUCT cs

	cs.cx = 450 + 10;

	cs.cy = 350 + 66;

	cs.dwExStyle = 0;

	cs.style = /* WS_CLIPCHILDREN |*/ WS_OVERLAPPED | WS_MINIMIZEBOX | WS_SYSMENU; //WS_CAPTION | WS_OVERLAPPED | WS_MINIMIZEBOX | WS_MAXIMIZEBOX; //0;//WS_OVERLAPPEDWINDOW;

	return CFrameWnd::PreCreateWindow(cs);

}



void

CMainFrame::ShowStatusBar(int s)

{

	m_wndStatusBar.ShowWindow(s);

}



/////////////////////////////////////////////////////////////////////////////

// CMainFrame diagnostics



#ifdef _DEBUG

void CMainFrame::AssertValid() const

{

	CFrameWnd::AssertValid();

}



void CMainFrame::Dump(CDumpContext& dc) const

{

	CFrameWnd::Dump(dc);

}



#endif //_DEBUG



/////////////////////////////////////////////////////////////////////////////

// CMainFrame message handlers

CStatusBar*	

CMainFrame::GetStatusBar(void)

{

	return &m_wndStatusBar;

}



void

CMainFrame::SetDocument(CTrueCapDoc *doc)

{

	mDocument = doc;

}



LRESULT CMainFrame::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 

{

	// TODO: Add your specialized code here and/or call the base clas

	if (message == WM_NCHITTEST)

		{

		if (mDocument && mDocument->IsCapturing())

			{

			return HTCLIENT;

			}

		else

			return CFrameWnd::WindowProc(message,wParam,lParam);

		}

	else if (message == WM_SYSKEYDOWN || message == WM_SYSCOMMAND)

		{

		if (mDocument && mDocument->IsCapturing())

			{

			return 0;

			}

		else

			return CFrameWnd::WindowProc(message,wParam,lParam);

		}

	else if (message == WM_SIZING || message == WM_MOVING)

		{

		if (mDocument && mDocument->IsCapturing())

			{

			RECT r;

			GetWindowRect(&r);

			*((RECT *)lParam) = r; 

			return TRUE;

			}

		else

			return CFrameWnd::WindowProc(message,wParam,lParam);

		}

	else if (message == gPrivateMessageApp)

		{

		if (mDocument)

			{

			mDocument->ReloadEvents();

			}

		return 0;

		}

	else if (message == WM_WINDOWPOSCHANGED)

	{

		if (mDocument)

			mDocument->WindowPosChanged();

		return CFrameWnd::WindowProc(message, wParam, lParam);

	}

	else if (message == WM_USER)

		{

		nmr_string *s = (nmr_string *)lParam;

		if ((!mDocument || !mDocument->IsPageFlipping()) && mStatusOK)

			m_wndStatusBar.SetPaneText(0,*s);

		delete s;

		return 0;

		}

	else

		return CFrameWnd::WindowProc(message, wParam, lParam);

}



LRESULT CMainFrame::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam) 

{

	// TODO: Add your specialized code here and/or call the base class

	if (message == WM_EXITMENULOOP && mDocument)

		mDocument->RefreshFilename();

	return CFrameWnd::DefWindowProc(message, wParam, lParam);

}





BOOL CMainFrame::OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message) 

{

	// TODO: Add your message handler code here and/or call default

	if (mDDPointer || (mDocument && mDocument->IsPageFlipping()))

		{

		::SetCursor(NULL);

		return TRUE;

		}

	return CFrameWnd::OnSetCursor(pWnd, nHitTest, message);

}



void CMainFrame::OnLButtonDown(UINT nFlags, CPoint point) 

{

	// TODO: Add your message handler code here and/or call default

	if (mDocument && mDocument->IsPageFlipping())

		return;



	CFrameWnd::OnLButtonDown(nFlags, point);

}



void CMainFrame::OnLButtonDblClk(UINT nFlags, CPoint point) 

{

	// TODO: Add your message handler code here and/or call default

	if (mDocument && mDocument->IsPageFlipping())

		return;



	CFrameWnd::OnLButtonDblClk(nFlags, point);

}



void CMainFrame::OnRButtonDblClk(UINT nFlags, CPoint point) 

{

	// TODO: Add your message handler code here and/or call default

	

	if (mDocument && mDocument->IsPageFlipping())

		return;



	CFrameWnd::OnRButtonDblClk(nFlags, point);

}



void CMainFrame::OnRButtonDown(UINT nFlags, CPoint point) 

{

	// TODO: Add your message handler code here and/or call default

	

	if (mDocument && mDocument->IsPageFlipping())

		return;



	CFrameWnd::OnRButtonDown(nFlags, point);

}



void CMainFrame::OnMove(int x, int y) 

{

	

	CFrameWnd::OnMove(x, y);

	// TODO: Add your message handler code here

#if 0

	CDC *dc = GetDC();

	int bitsperpixel = dc->GetDeviceCaps(PLANES) * dc->GetDeviceCaps(BITSPIXEL);

	ReleaseDC(dc);

	if (bitsperpixel == 24)

		{

		RECT r;

		GetWindowRect(&r);

		if (r.left % 4)

			SetWindowPos(&wndNoTopMost,r.left-(r.left % 4),r.top,r.right - r.left,r.bottom - r.top,SWP_NOSIZE | SWP_NOZORDER);

		}	

#endif

}



void CMainFrame::OnActivateApp(BOOL bActive, HTASK hTask) 

{

	CFrameWnd::OnActivateApp(bActive, hTask);

	

	// TODO: Add your message handler code here

	mAppActive = bActive;	

}



void CMainFrame::OnUpdateHelp(CCmdUI* pCmdUI) 

{

	// TODO: Add your command update UI handler code here

	if (mDocument->IsPageFlipping())

		pCmdUI->Enable(FALSE);

	else

		pCmdUI->Enable(mHelpOK);

}



void CMainFrame::OnPaint() 

{

	m_wndStatusBar.UpdateWindow();

	CPaintDC dc(this); // device context for painting

	

	// TODO: Add your message handler code here

	

	// Do not call CFrameWnd::OnPaint() for painting messages

}

