/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _tmrtxx_h

#define _tmrtxx_h



#ifndef _tmrt_h

#include "tmrt.h"

#endif



#ifdef __cplusplus

extern "C" {

#endif



int tmrtxx_query_paramsize(void);

int tmrtxx_init(void *param);

void tmrtxx_free(void *param);

int tmrtxx_begin_xx(void *param,int width,int height);

void tmrtxx_end_xx(void *param);

int tmrtxx_xx(void *xxprivate,int w,int h,int format,int bits,int ntrp,char *src,char *dst);



#ifdef __cplusplus

}

#endif

#endif

