/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// $Header: /export/raid/cvs_videodev/TrueCap/VideoTuners/Bt848V2_2/Source/Grappler/gpiotype.h,v 1.1 1999/08/27 02:52:38 nradisch Exp $

// $Log: gpiotype.h,v $
// Revision 1.1  1999/08/27 02:52:38  nradisch
// new
//

// Revision 2.1  1996/06/10 20:12:03  ssm

// MarkBeta1AsRev2

// Revision 1.2  1996/04/28 01:25:21  rudyl

// ver 1.00 - both I2C and GPIO are now objects of register class.

// Created a set of API wrapper functions to invoke member functions of the classes.

// Revision 1.1  1996/04/26 23:52:50  rudyl

// Initial revision



// CUT_HERE



/////////////////////////////////////////////////////////////////////////////

//

//  Copyright (c) 1996 Brooktree Corporation. All Rights Reserved.

//

//  Module:

//

//    GpioType.h

//

//  Abstract:

//

//    Header file for GPIO types

//

/////////////////////////////////////////////////////////////////////////////



#ifndef __GPIOTYPE_H

#define __GPIOTYPE_H





//===========================================================================

// TYPEDEFS for GPIO

//===========================================================================

#ifndef DWORD

typedef unsigned long   DWORD;

#endif



// GPIO modes

typedef enum { GPIO_NORMAL,

               GPIO_SPI_OUTPUT,

               GPIO_SPI_INPUT,

               GPIO_DEBUG_TEST } GPIOMode;



typedef DWORD GPIOReg;    // GPIO register type



#endif // __GPIOTYPE_H

