/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	CINDEXDATA_H_
#define CINDEXDATA_H_

#include	<MegaHeaders.h>
#include	<CDataList.h>

#ifdef NETHFB
class CTCPSocket;
#endif

class CIndexData: public CDataList<I32>
{
public:
	CIndexData(void);
	CIndexData(int siz);
	virtual ~CIndexData(void);

#ifdef NETHFB
	void	Read(CTCPSocket &socket);
	void	Write(CTCPSocket &socket);
	size_t	CalculateSize(void);
#endif

	virtual const char *Name(void);
};

ostream & operator<<(ostream &o,CIndexData &cd);
ostream & operator<<(ostream &o,CIndexData *cd);

#ifdef NETHFB
CTCPSocket& operator<<(CTCPSocket &socket,CIndexData &d);
CTCPSocket& operator>>(CTCPSocket &socket,CIndexData &d);
size_t CalculateTCPSize(CIndexData &d);
#endif

#endif



