/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "dkpltfrm.h"
#include "duktypes.h"
#include "cduck.h"
#include "duck_hfb.h"
#include "dxl_main.h"
/*#include "dx_share.h"*/
#include "dxparams.h"
#include "lblitter.h"
#include "blt_itrp.h"

#if 1
void DXL_bss10(DX_PARAMS_HANDLE params)
{
	/* void DXL_LineBlit_Same */
	register unsigned long	tmp;
	register unsigned long ltmp;
	register unsigned long	*dest	= (unsigned long *)params->vDest;
	register unsigned short	*src	= (unsigned short *)params->dxDest;
	register int			width	= params->width;

	while (width--)
		{
		tmp = *src++;
		ltmp = (tmp << 17) | (tmp << 11);
		ltmp &= 0xf800f800;
		ltmp |= (tmp & 0x000003E0) << 14;
		*dest++ = ltmp;
		}


#if 0


	/* void DXL_LineBlit_Stretch */
	register unsigned long tmp;
	register unsigned long long ltmp;
	register unsigned long	long *dest	= (unsigned long long *)params->vDest;
	register unsigned short	*src	= (unsigned short *)params->dxDest;
	register int			width	= params->width;


	while (width--)
		{
		tmp = *src++;
		ltmp = (tmp << 17) | (tmp << 11);
		ltmp &= 0xf800f800;
		ltmp |= (tmp & 0x000003E0) << 14;
		ltmp |= (ltmp << 32);
		*dest++ = ltmp;
		}
#endif
} /* end of DXL_LineBlit_Stretch */
#endif

#if 0
void DXL_bss10(DX_PARAMS_HANDLE params)
{
	/* void DXL_LineBlit_Stretch */
	register unsigned long	long tmp;
	register unsigned long long ltmp;
	register unsigned long	long *dest	= (unsigned long long *)params->vDest;
	register unsigned short	*src	= (unsigned short *)params->dxDest;
	register int			width	= params->width;

	while (width--)
		{
		tmp = *src++;
		ltmp = 
			((tmp & 0x0000001F) << 11) |
			((tmp & 0x000003E0) << 14) |
			((tmp & 0x00007C00) << 17);
		ltmp |= (ltmp << 32);
		*dest++ = ltmp;
		}
} /* end of DXL_LineBlit_Stretch */
#endif

#if 0
void DXL_bss10(DX_PARAMS_HANDLE params)
{
	/* void DXL_LineBlit_Same */
	register unsigned short	tmp;
	register unsigned long ltmp;
	register unsigned char	*dest	= (unsigned char *)params->vDest;
	register unsigned short	*src	= (unsigned short *)params->dxDest;
	register unsigned long	*lcopy;
	register int			width	= params->width;

	lcopy = dest;
	while (width--)
		{
		tmp = *src++;
		ltmp = 
			((tmp & 0x001F) << 3)
			((tmp & 0x03E0) >> 2)
			((tmp & 0x7C00) >> 7)

		tmp = *src++;
		lcopy = (unsigned long *)dest;
		*dest++ = (tmp & 0x7C00) >> 7; /* 10 - 3 */
		*dest++ = (tmp & 0x03E0) >> 2; /* 5 - 3 */
		*dest++ = (tmp & 0x001F) << 3;  /* 0 - 3 */
		*dest++ = 0;
		*((unsigned long *)dest) = *lcopy;
		dest += 4;

		tmp = *src++;
		*dest++ = (tmp & 0x7C00) >> 7; /* 10 - 3 */
		*dest++ = (tmp & 0x03E0) >> 2; /* 5 - 3 */
		*dest++ = (tmp & 0x001F) << 3;  /* 0 - 3 */
		*dest++ = 0;
		*dest++ = (tmp & 0x7C00) >> 7; /* 10 - 3 */
		*dest++ = (tmp & 0x03E0) >> 2; /* 5 - 3 */
		*dest++ = (tmp & 0x001F) << 3;  /* 0 - 3 */
		*dest++ = 0;
		}


} /* end of DXL_LineBlit_Stretch */
#endif




