/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <dxl_main.h>

static int dummy(void);

static int dummy(void){ return 0; }

void tm1SetBlit(void)
{
	DXL_BLIT_FORMAT temp;

    /*16 to 16 blitters */
    extern void DXL_bss00(void);
    extern void DXL_bss10(void);
    extern void bft10(void);
    extern void bft00(void);

    temp = DXL_OverrideBlitter(DXBLIT_SAME,DXRGB16);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, TM1_24, (blitFunc)bft00, dummy, dummy);

    temp = DXL_OverrideBlitter(DXBLIT_STRETCH,DXRGB16);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, TM1_24, (blitFunc)bft10, dummy, dummy);

	temp = DXL_OverrideBlitter(DXBLIT_SAME,DXRGB24);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, TM1_24, (blitFunc)bft00, dummy, dummy);

    temp = DXL_OverrideBlitter(DXBLIT_STRETCH,DXRGB24);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, TM1_24, (blitFunc)bft10, dummy, dummy);

	temp = DXL_OverrideBlitter(DXBLIT_SAME,DXRGB32);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss00, dummy, dummy);
        DXL_RegisterBlitter(temp, TM1_24, (blitFunc)bft00, dummy, dummy);

    temp = DXL_OverrideBlitter(DXBLIT_STRETCH,DXRGB32);
        DXL_RegisterBlitter(temp, DXL_LINE16, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16i, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, DXL_LINE16hi, (blitFunc)DXL_bss10, dummy, dummy);
        DXL_RegisterBlitter(temp, TM1_24, (blitFunc)bft10, dummy, dummy);
}
