;/***********************************************\
;??? bssbm.ash
; contains code for vertical interp stretched blitters 
; using MMX
;\***********************************************/ 
;contains dxparam stucture offset equates
INCLUDE dxparam.ash 
INCLUDE prologue.ash
INCLUDE vinterpm.ash

ifndef WIN95 
    ifdef DEBUG
        INCLUDE debugger.ash
    endif
endif           

;************************************************
UBLOC           EQU     0
BLKWIDTH        EQU     UBLOC+4
PIXELS_LEFT     EQU     BLKWIDTH+4
LOCAL_STACK_RA  EQU     PIXELS_LEFT+4

BLKLOOPCNT      EQU     PIXELS_LEFT+4
UBLOC_LAST      EQU     BLKLOOPCNT+4
UB_DATA         EQU     UBLOC_LAST+4
UB_DATA_LAST    EQU     UB_DATA+4
LOCAL_STACK_ER  EQU     UB_DATA_LAST+4

;************************************************
BSS_BRIGHT_RA_MMX MACRO
        DUCK_PROLOGUE                         
        sub     esp,LOCAL_STACK_RA

        mov     edi,[eax+vDest]                 ;points at screen
        mov     ebp,[eax+dxDest] 
        mov     esi,[eax+dxLast]                ;previous dxed line
        mov     ebx,[eax+xWidth]                ;set up count of blocks done, this line
        mov     ecx,[eax+pitch]                 ;save dest pitch
        shr     ecx,1
                
        mov     [esp+PIXELS_LEFT],ebx
        and     DWORD PTR[esp+PIXELS_LEFT],03h      

        LOAD_5X5MASKS

        cmp     DWORD PTR[eax+is565],1
;        je      do_line555

do_line555:
        shr     ebx,2                           ;4 pixel block
        jz      incompleteBlock555    
        mov     DWORD PTR[esp+BLKWIDTH],ebx

_555_blkLoop:
        _4_PIXEL_PAIRS_555 
        add     esi,8
        add     ebp,8
        add     edi,16
        dec     DWORD PTR[esp+BLKWIDTH]
        jnz     _555_blkLoop

incompleteBlock555:
;        WR_REMAINING_PIXEL_PAIRS _555_SAVEBITS, _555_MASK

        add     esp,LOCAL_STACK_RA
        pop     es
        pop     ds
        popad
        ret
ENDM
