/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "dxix.h"


void dxic162(DX_PARAMS_HANDLE params) {
    U8 *cbloc=(U8 *)params->dx_bloc;        /*/     ENDIAN issues -- get bytes*/
    U32 xcnt;
    long temp;
    long vp=0;
    long *last=(long*) params->dxLast;
    long *ldest=(long*)params->dxDest;
    dxVector32 index=params->dx_index;
    dxVector8 *vloc=params->dx_vloc;
    dxVector8 *tbl=&vectbl[TBLOFFSET];
    U32 lbctl;    
    int swidth = params->src_bPitch/4;
    unsigned long width;
    
    width = params->width;

    while(width){
        lbctl =(U32)*cbloc++;

        xcnt = (width > 32) ? 32 : width;
        width -= xcnt;
        
        xcnt>>=2;
        while(xcnt--){
            if(lbctl&1) {    /*/ if IF*/
                    DOIFNC
            } else {         /*/ TM*/
                    GETVECC
                    GVHVNC     /*/ hit me agin:*/
                    GETVECC
                    GVHVNC
            }
            lbctl>>=1;
        }
    }
    
    params->dx_index=index;
    params->dx_vloc=vloc;
}
