/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _dxix_h
#define _dxix_h

#include "dkpltfrm.h"

#include <stdlib.h>
#include "duktypes.h"
#include "cduck.h"
#include "dxparams.h"
#include "dxl_16.h"

#define OLDCODE 0
#define BLOCK2X 0
#define HSTRETCH 0
#define COLOR_256 0
#define BUILDMAC 0

#define IADD 0x0004
#define ISHIFT    4
#define IOFFSET 4096

#define tbl2 tbl+IOFFSET

#if defined(DEBUG)
#define DIAGNOSTIC(x) x
#else
#define DIAGNOSTIC(x)
#endif
/*
/// these arrays are in dxc2:

//extern  I16 dxDelta1[];
//extern  I16 dxCdelta1[];

/// this ptr is in ccomp2.c:

//extern U8 (*pc_tbl2)[16];
//extern I32 forceheight;   
*/
/************************************** INTERFRAME STUFF/C DECOMPRESSION */

#define ISINTERBLOCK(a,b)   ((*(a+((b)>>3))) & (1<<((b)%8)))

/*
// used by ASM code, so get it right:
//#define MAX_WIDTH   640
//#define VOFF        (MAX_WIDTH/2)
*/
#define VOFF swidth

/* vars that need to be seen by asm code*/


extern dxVector8 vectbl[];

/*********** MACROS: */

#define WRITEDBLPIXNC *(ldest++)=(*last++)+vp;

#define GETVECCNEW                                      \
    temp=*(long *)(tbl2+index);       \
     vp+=(temp>>1);                                             \
     index+=IADD;                                     \
     if(temp&1)                                            \
        if(!(index=(*vloc++)<<ISHIFT)) {\
            index=(*vloc++)<<ISHIFT;          \
            temp=*(long *)(tbl2+index);\
            index+=IADD;                                    \
            if(temp&1) index=(*vloc++)<<ISHIFT;          \
            vp +=((temp>>1)*5);                        \
        }                                                                               

#define GVHVNEWNC\
    index+=IADD; \
    temp=*(long *)(tbl+index-IADD); \
    vp+=(temp>>1); \
     if(temp&1) \
        if(!(index=(*vloc++)<<ISHIFT)){ \
            index=(*vloc++)<<ISHIFT; \
            temp=*(long *)(tbl+index); \
            index+=IADD; \
            if(temp&1) index=(*vloc++)<<ISHIFT; \
            vp +=((temp>>1)*5); \
        } \
    WRITEDBLPIXNC
    
#define DOIFNC \
        vp=*(ldest+1)-*(last+1); \
        last += 2; \
		ldest += 2;
                
#define GVHVNC  GVHVNEWNC
#define GETVECC GETVECCNEW

#define c_dxi2x c_dxi
#define c_dxic2x c_dxic

/******************* ASM stuff ************************/

#define IF_BLOCKSIZE 4


#endif /* include guard */
