/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "rename.h"
#if 0
#include "125750.h"
#endif

#include "tm1.h"

#ifdef SONY
#define work1K ((unsigned long *)0x1f800000)
#else 
extern unsigned long work1K[256];
#endif

void tm1_createGammaTable()
{
	register unsigned long i,val=0,inc = 0x00010101;
	register unsigned long *ptr;
    extern unsigned long *gAddr,*gAddr2;
	extern unsigned long *gAddr3,*gAddr4;
	ptr = (unsigned long *)work1K;
	
#if 1

#ifdef SEGA
	gAddr3 = gAddr4 = gAddr = gAddr2 = work1K;	
	val = *ptr++ = 0x80000000;                      
#else
	val = *ptr++ = 0x00000000;                      
#endif

	i = 256;
	while(--i) *ptr++ = (val += inc);
#else
	{
		register unsigned long *gptr;
		
		gptr = gammaTablex;	
		i = 256;
		while(i--) *ptr++ = *gptr++;
	}
#endif
}

void tm1_createGamma16Table()
{
	register unsigned long j,i,val=0;
	register unsigned long inc;
	register unsigned long *ptr;
    extern int is565;            

    inc = (is565) ? 0x08410841 : 0x04210421;

	ptr = work1K;
	val = *ptr = 0x00000000;                      

	for(i = 0 ; i < 32; i++){
		for(j = 0; j < 8; j++)
			*ptr++ = val;
		val += inc;
	}
}

