/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "rename.h"
#include "dkpltfrm.h" 
//#include "duktypes.h"
//#include "cduck.h"       
#include "dxl_main.h"                                            

void bfs_hiX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs00_hiX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs_loX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs00_loX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs20_hiX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);


void bfs20_loX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs20_hiX565(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);


void bfs20_loX565(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs_hiX565(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs00_hiX565(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs_loX565(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bfs00_loX565(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);


void bff10_hiX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bff00_hiX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bff10_loX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres
    );

void bff00_loX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres
    );


/* 24 to 32 */
void bft00_hiX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bft10_hiX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres);

void bft00_loX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres
    );

void bft10_loX(
	register unsigned char *luma,register long *chroma,
	register unsigned long *daddr,register int width,
	int dwidth,int height,int vres
    );

void drawCell32(DXL_XIMAGE_1HANDLE src,DXL_VSCREEN_HANDLE dst)
{
    register unsigned char *luma = (unsigned char *)((U32)src->lineBuffer+src->dxInfo.imwidth);

	register long *chroma = (long *)((U32)src->chromaBuffer+src->dxInfo.imwidth);

	register unsigned long *daddr = (unsigned long *)(dst->addr);
	register int width = src->dxInfo.imwidth;
	int vres,height = src->dxInfo.imheight;

    int x,y;

	x = dst->viewX+ src->x;
	y = dst->viewY+ src->y;

    daddr += ((x*3)/4) + (y * (dst->pitch/4));

	if (src->dxInfo.lpbmione == 3)
		vres = 4;
	else
		vres = 2;

    if(src->dxInfo.block2x)
	   	chroma = (long *)((U32)chroma+src->dxInfo.imwidth);

    if(dst->bq == DXBLIT_SAME) { 
	    if (src->dxInfo.block2x)
		    bft00_hiX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
        else
		    bft00_loX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
    } else {
	    if (src->dxInfo.block2x)
		    bft10_hiX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
        else
		    bft10_loX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
    }
}

void drawCell24(DXL_XIMAGE_1HANDLE src,DXL_VSCREEN_HANDLE dst)
{
    register unsigned char *luma = (unsigned char *)((U32)src->lineBuffer+src->dxInfo.imwidth);

	register long *chroma = (long *)((U32)src->chromaBuffer+src->dxInfo.imwidth);

	register unsigned long *daddr = (unsigned long *)(dst->addr);
	register int width = src->dxInfo.imwidth;
	int vres,height = src->dxInfo.imheight;

    int x,y;

	x = dst->viewX+ src->x;
	y = dst->viewY+ src->y;

    daddr += ((x*3)/4) + (y * (dst->pitch/4));

	if (src->dxInfo.lpbmione == 3)
		vres = 4;
	else
		vres = 2;

    if(src->dxInfo.block2x)
	   	chroma = (long *)((U32)chroma+src->dxInfo.imwidth);

	if (src->dxInfo.block2x) {
		if (dst->bq == DXBLIT_STRETCH)
    		bff10_hiX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
		else
    		bff00_hiX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
    } else {
		if (dst->bq == DXBLIT_STRETCH)
     		bff10_loX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
		else
     		bff00_loX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
    }

}

void drawCell16(DXL_XIMAGE_1HANDLE src,DXL_VSCREEN_HANDLE dst)
{
    register unsigned char *luma = (unsigned char *)((U32)src->lineBuffer+src->dxInfo.imwidth);

	register long *chroma = (long *)((U32)src->chromaBuffer+src->dxInfo.imwidth);

	register unsigned long *daddr = (unsigned long *)(dst->addr);
	register int width = src->dxInfo.imwidth;
	int vres,height = src->dxInfo.imheight;

    int x,y;
    extern int is565;            

	x = dst->viewX+ src->x;
	y = dst->viewY+ src->y;

    daddr += (x/2) + (y * (dst->pitch/4));

	if (src->dxInfo.lpbmione == 3)
		vres = 4;
	else
		vres = 2;

    if(src->dxInfo.block2x)
	   	chroma = (long *)((U32)chroma+src->dxInfo.imwidth);

	if (src->dxInfo.block2x){
		if (dst->bq == DXBLIT_STRETCH_BRIGHT) {
            if(is565)
    			bfs20_hiX565(luma,chroma,daddr,width,dst->pitch/2,height,vres);
	        else
    			bfs20_hiX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
    	} else if (dst->bq == DXBLIT_STRETCH) {
            if(is565)
			    bfs_hiX565(luma,chroma,daddr,width,dst->pitch/2,height,vres);
            else
			    bfs_hiX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
        } else {
            if(is565)
			    bfs00_hiX565(luma,chroma,daddr,width,dst->pitch/2,height,vres);
            else
			    bfs00_hiX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
        }

    }else{
		if (dst->bq == DXBLIT_STRETCH_BRIGHT) {
            if(is565)
    			bfs20_loX565(luma,chroma,daddr,width,dst->pitch/2,height,vres);
	        else
    			bfs20_loX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
    	} else if (dst->bq == DXBLIT_STRETCH) {
            if(is565)
    			bfs_loX565(luma,chroma,daddr,width,dst->pitch/2,height,vres);
            else
			    bfs_loX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
		} else {
            if(is565)
    			bfs00_loX565(luma,chroma,daddr,width,dst->pitch/2,height,vres);
            else
			    bfs00_loX(luma,chroma,daddr,width,dst->pitch/2,height,vres);
        }
	}
}


void tm1_createGamma16Table(void);
void tm1_createGammaTable(void);

int DXL_Blit24(register DXL_XIMAGE_1HANDLE src,register DXL_VSCREEN_HANDLE dst)
{
#if 0
	if (dst->bd != DXRGB24){
		tm1_createGamma16Table();
		drawCell16(src,dst);
	}else{
		tm1_createGammaTable();
		drawCell24(src,dst);
	}
#else
    switch(dst->bd){
        case DXRGB24:
		    tm1_createGammaTable();
		    drawCell24(src,dst);
            break;
        case DXRGB32:
		    tm1_createGammaTable();
		    drawCell32(src,dst);
            break;
        default:
		    tm1_createGamma16Table();
		    drawCell16(src,dst);
            break;
    }
#endif


	return DXL_OK;
}

