/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#define DELTAS_4BIT { 1,-1, 2,-3,8,-8,18,-18,36,-36,54,-54,96,-96,144,-144 };
#define NUMDELTAS   16

#define DELTAS_3BIT { 2,-3, 8,-8,18,-18,36,-36 };
/// #define NUMDELTAS   8

#define DELTAS_2BIT { 5,-7,36,-36 };
/// #define NUMDELTAS   4


static deltas4[16]=DELTAS_4BIT
static deltas3[8]=DELTAS_3BIT
static deltas2[4]=DELTAS_2BIT

#define INIT_DELTAS_2BIT \
    deltas[0]=deltas2[0]; \
    deltas[1]=deltas2[1];  \
    deltas[2]=deltas2[2];   \
    deltas[3]=deltas2[3];    


#define INIT_DELTAS_3BIT \
    deltas[0]=deltas3[0]; \
    deltas[1]=deltas3[1];  \
    deltas[2]=deltas3[2];   \
    deltas[3]=deltas3[3];    \
    deltas[4]=deltas3[4];     \
    deltas[5]=deltas3[5];      \
    deltas[6]=deltas3[6];       \
    deltas[7]=deltas3[7];        


#define INIT_DELTAS_4BIT \
    deltas[0]=deltas4[0]; \
    deltas[1]=deltas4[1];  \
    deltas[2]=deltas4[2];   \
    deltas[3]=deltas4[3];    \
    deltas[4]=deltas4[4];     \
    deltas[5]=deltas4[5];      \
    deltas[6]=deltas4[6];       \
    deltas[7]=deltas4[7];        \
    deltas[8]=deltas4[8];         \
    deltas[9]=deltas4[9];          \
    deltas[10]=deltas4[10];         \
    deltas[11]=deltas4[11];          \
    deltas[12]=deltas4[12];           \
    deltas[13]=deltas4[13];            \
    deltas[14]=deltas4[14];             \
    deltas[15]=deltas4[15];

