;   Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.
;
;   This file is part of VpVision.
;
;   VpVision is free software; you can redistribute it and/or modify
;   it under the terms of the GNU General Public License ver. 2,
;   as published by the Free Software Foundation (www.fsf.org).
;
;   Foobar is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with VpVision; if not, write to the Free Software
;   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;/***********************************************\
;??? dxblit.asm
;line loop
;\***********************************************/ 
		.586
        .MODEL  flat, SYSCALL, os_dos
        .CODE

INCLUDE dxparam.ash

PUBLIC DecompressWithBuiltInBlitLoopRA_
PUBLIC _DecompressWithBuiltInBlitLoopRA

;************************************************
;local var equates
LINECOUNT       EQU     0     
    
sRETADDR        EQU     28+4            ;7 pushes + local var
sDXPARAMS       EQU     sRETADDR+4
sDXFUNCS        EQU     sDXPARAMS+4
sHEIGHT         EQU     sDXFUNCS+4
    
;------------------------------------------------
; void DecompressWithBuiltInBlitLoopRA(DX_PARAMS_HANDLE dxParams, DX_FUNC *dxfuncs, int height)
;------------------------------------------------
DecompressWithBuiltInBlitLoopRA_:
_DecompressWithBuiltInBlitLoopRA:

        push    esi
        push    edi
        push    eax
        push    ebx
    ;    push    esp
        push    ebp
        push    ecx
        push    edx

        sub     esp,4                           ;make room for lineCount

        mov     edx,1
        mov     eax,[esp+sDXPARAMS]
        mov     ecx,[eax+xWidth]
        mov     [esp+LINECOUNT],edx
        shr     ecx,2
        cmp     edx,[esp+sHEIGHT]
        mov     [eax+xWidth],ecx

        jg      lineLoopExit

		mov		esi,[eax+dxLast]            ;esi=dx_last; pixel array
 		mov		edi,[eax+vDest]       		;get dx destination
		mov		ebp,[eax+dx_vloc]			;offset, sel
		mov		ebx,[eax+dx_index]			;ebx=index into delta tbl from (1st compressed data pt * 4).

lineLoop:    
        and     edx,3                         ;select dxfunc
        mov     ecx,[esp+sDXFUNCS]
        inc     DWORD PTR[esp+LINECOUNT]

        call    DWORD PTR[ecx+edx*4]

		mov		esi,[eax+dxLast]				;update source 
 		mov		edi,[eax+vDest]       			;and dest pointers
        mov     edx,[esp+LINECOUNT]
;		add		esi,[eax+dxLineOffset]
		add		edi,[eax+pitch]
        
        cmp     edx,[esp+sHEIGHT]
        mov     [eax+vDest],edi
        jle     lineLoop

;may not be required
		mov		[eax+dx_index],ebx			;save current dx_index value
		mov		[eax+dx_vloc],ebp			;save current dx_vloc value


lineLoopExit:

        add     esp,4

        pop    edx
        pop    ecx
        pop    ebp
    ;   pop    esp
        pop    ebx
        pop    eax
        pop    edi
        pop    esi
        ret

;************************************************
		END
