# Microsoft (n)makefile for Win95 tm20.lib . Eric Ameres 9/30/97
# Uses Microsoft visual c++ compiler, borland tasm assembler.

THISFILE = makefile

!if "$(OBJDIR)"=="$(DEBDIR)"

PROJECT = tm20g
#PROJECT = tm20
!else
PROJECT = tm20
!endif

DLLNAME = $(PROJECT).dll
LNKNAME = $(OBJDIR)$(PROJECT).lnk
SLIBNAME = $(OBJDIR)s_$(PROJECT).lib

all: release.ver debug.ver

$(OBJDIR:\= ) :
    mkdir $(OBJDIR:\= )

$(LIBDIR):
    mkdir $(LIBDIR)

release.ver:
    set CL=-nologo -Ob2 -Ot -MD -W3 -DWIN32 -D_MBCS -D_AFXDLL -DNDEBUG \
-D_WINDOWS
    set LINK=-INCREMENTAL:no
    nmake /NOLOGO -f $(THISFILE) $(RELDIR)s_tm20.lib OBJDIR=$(RELDIR)

debug.ver:
    set CL=-nologo -MD -W3 -GX -Od -Z7 -DWIN32 -D_MBCS -D_AFXDLL -D_DEBUG \
-D_WINDOWS 
#-D_X86PROFILING
    set LINK=-INCREMENTAL:no -DEBUG -DEBUGTYPE:BOTH
    nmake /NOLOGO -f $(THISFILE) $(DEBDIR)s_tm20g.lib OBJDIR=$(DEBDIR)

CC = cl

cppflags = $(cppflags) /DDXASMX86

OBJS = $(OBJS) \
    $(OBJDIR)tm2blks.obj \
    $(OBJDIR)dxplanr2.obj \
    $(OBJDIR)yuv.obj 

ASMDIR = ..\X86\ 
WASMDIR = ..\wX86\ 

ASM = tasm /ml /m8 /dWINP /zd /d_MSC_VER /I$(ASMDIR) /dWIN95
WASM = wasm /dWINP /dWIN95 /I=$(ASMDIR) /I=$(MMXDIR)  

{..\wx86}.asm{$(OBJDIR)}.obj:
    $(WASM) $< -fo=$@ 
    editbin /NOLOGO /RELEASE $@

{..\X86}.asm{$(OBJDIR)}.obj:
    $(ASM) $< $@ 
    editbin /NOLOGO /RELEASE $@

{src}.asm{$(OBJDIR)}.obj:
    $(ASM) $< $@ 
    editbin /NOLOGO /RELEASE $@
    
$(SLIBNAME): $(LIBDIR) $(OBJDIR:\= ) $(OBJS)
    LIB $(OBJS) /OUT:$(SLIBNAME)
    copy $(OBJDIR)*.lib $(LIBDIR)

clean:
    deltree /Y obj.rel
    deltree /Y obj.deb
    deltree /Y obj
