;   Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.
;
;   This file is part of VpVision.
;
;   VpVision is free software; you can redistribute it and/or modify
;   it under the terms of the GNU General Public License ver. 2,
;   as published by the Free Software Foundation (www.fsf.org).
;
;   Foobar is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with VpVision; if not, write to the Free Software
;   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;/***********************************************\
;??? reorder.asm   
;\***********************************************/ 

; 6/97 - converting eric's reorder c routine

        .586
        .MODEL  flat, SYSCALL, os_dos
        .CODE

IDEAL
NAME reorder
MASM

PUBLIC reorder_cData_
PUBLIC  _reorder_cData

;------------------------------------------------
; void reorder_cData(unsigned short *shortPtr, long length)
;
ifdef WIN95
reorder_cDataParams    STRUC
                dd  6 dup (?)   ;6 pushed regs
                dd  ?           ;return address
    shortPtr    dd  ?
    cLength     dd  ?       
reorder_cDataParams    ENDS
endif

reorder_cData_:
_reorder_cData:
    push    esi
    push    edi
    push    ebp
    push    ebx
    push    ecx
    push    edx
    
    mov     ebp,3
    nop

ifdef WIN95
    mov     ecx,[esp].cLength                       ;get length
    mov     edi,[esp].shortPtr
else
    mov     ecx,edx                                 ;get cLength
    mov     edi,eax                                 ;get shortPtr
endif
;dec ecx

    test    ecx,ebp
    jz      swapLoop1

oddBlock:
    mov     eax,[edi]
    dec     ecx        
    rol     eax,16
    mov     [edi],eax
    add     edi,4

    test    ecx,ebp
    jnz     oddBlock

swapLoop1:
    shr     ecx,2
    jz      theExit

swapLoop:
    mov     eax,[edi]
    mov     ebx,[edi+4]

    rol     eax,16

    rol     ebx,16

    mov     edx,[edi+8]
    mov     esi,[edi+12]

    mov     [edi],eax
    mov     [edi+4],ebx

    rol     edx,16

    rol     esi,16

    mov     [edi+8],edx
    mov     [edi+12],esi

    add     edi,16
    dec     ecx
    
    nop
    jnz     swapLoop

theExit:
    pop     edx
    pop     ecx
    pop     ebx
    pop     ebp
    pop     edi
    pop     esi
    ret

;************************************************
         END

