;   Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.
;
;   This file is part of VpVision.
;
;   VpVision is free software; you can redistribute it and/or modify
;   it under the terms of the GNU General Public License ver. 2,
;   as published by the Free Software Foundation (www.fsf.org).
;
;   Foobar is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with VpVision; if not, write to the Free Software
;   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;/***********************************************\
;??? bft00.asm   
;\***********************************************/ 

; 9/97 - converting eric's 24 to 32 blitter c routine

        .586
        .MODEL  flat, SYSCALL, os_dos
        .CODE

IDEAL
NAME x86bft00
MASM

PUBLIC tm2_bft00_
PUBLIC  _tm2_bft00

;EXTRN _gTable:DWORD

;------------------------------------------------
; local vars
;
L_stackptr      EQU     0
L_blkPitch      EQU     L_stackptr+4
L_pitch         EQU     L_blkPitch+4
L_scrnPitch     EQU     L_pitch+4
L_scrnPitch3    EQU     L_scrnPitch+4
L_dest          EQU     L_scrnPitch3+4
L_blkRow        EQU     L_dest+4

L_blkCol        EQU     L_blkRow+4
L_i             EQU     L_blkCol+4

L_Vars          EQU     (L_i+4+31) AND 0ffffffe0h
;------------------------------------------------
; void tm2_bft00(unsigned short *shortPtr, long length)
;
tm2_bft00Params    STRUC
                dd  6 dup (?)   ;6 pushed regs
                dd  ?           ;return address
    dst         dd  ?
    src         dd  ?       
    numBlkRows  dd  ?
    numBlkCols  dd  ?
    pitch       dd  ?
    scrnPitch   dd  ?
tm2_bft00Params    ENDS
;------------------------------------------------
tm2_bft00_:
_tm2_bft00:
    push    esi
    push    edi
    push    ebp
    push    ebx
    push    ecx
    push    edx

    mov     edi,[esp].dst
    mov     esi,[esp].src

    mov     ecx,[esp].numBlkRows
    mov     edx,[esp].numBlkCols

    mov     eax,[esp].pitch
    mov     ebp,[esp].scrnPitch

    mov     ebx,esp                         ;save current stack ptr
    and     esp,0ffffffe0h                  ;align

    sub     esp,L_Vars                      ;make room for vars
    nop
    
    mov     L_stackptr[esp],ebx
    mov     ebx,L_stackptr[esp]

    shr     ebp,2                           ;convert to pixels -- needed for scrnPitch*3
    mov     L_blkCol[esp],edx  
    
    mov     L_blkRow[esp],ecx    
    mov     L_scrnPitch[esp],ebp    

    mov     L_i[esp],edx
    lea     ebx,[(ebp*2)+ebp]               ;scrnPitch * 3

    xor     ecx,ecx
    mov     L_scrnPitch3[esp],ebx

    shl     ebp,4                           ;convert blkPitch to bytes
    xor     ebx,ebx

    mov     L_dest[esp],edi
    nop

    mov     L_blkPitch[esp],ebp
    mov     ebp,L_scrnPitch[esp]

doCols:
    mov     bl,BYTE PTR 16+3[esi]
    mov     edx,[esi+(0*4)]                     ;chroma 0

    mov     cl,BYTE PTR 16+2[esi]
    mov     bh,bl

    shl     ebx,8
    mov     ch,cl

    shl     ecx,8
    mov     bl,bh

    mov     al,BYTE PTR 16+1[esi]
    add     ebx,edx

    mov     ah,al
    mov     cl,ch

    add     ecx,edx
nop

    shl     eax,8
    mov     edx,[esi+(1*4)]                     ;chroma 1

    mov     0[edi],ebx                          ;write 0
    mov     4[edi],ecx                          ;write 1

    mov     cl,BYTE PTR 16+0[esi]
    mov     al,ah

    mov     ch,cl
    and     eax,0ffffffh

    shl     ecx,8
    xor     ebx,ebx

    mov     bl,BYTE PTR 16+7[esi]
    mov     cl,ch

    and     ecx,0ffffffh
    mov     bh,bl

    add     eax,edx
    add     ecx,edx

    mov     8[edi],eax                          ;write 2
    mov     12[edi],ecx                         ;write 3
;----------------------------------------------------------
    shl     ebx,8
    xor     ecx,ecx 

    mov     cl,BYTE PTR 16+6[esi]
    mov     bl,bh

    mov     ch,cl
    mov     edx,[esi+(0*4)]                     ;chroma 0

    shl     ecx,8
    add     ebx,edx

    mov     al,BYTE PTR 16+5[esi]
    mov     cl,ch

    add     ecx,edx                             ;add chroma
    mov     edx,[esi+(1*4)]                     ;chroma 1

    mov     0[edi+ebp*4],ebx                    ;write 0 
    mov     4[edi+ebp*4],ecx                    ;write 1 

    mov     cl,BYTE PTR 16+4[esi]
    mov     ah,al

    shl     eax,8
    mov     ch,cl

    shl     ecx,8
    mov     al,ah

    add     eax,edx                             ;add chroma
    mov     cl,ch

    add     ecx,edx
    xor     ebx,ebx

    mov     8[edi+ebp*4],eax                    ;write 2 
    mov     12[edi+ebp*4],ecx                   ;write 3 
;----------------------------------------------------------
    mov     bl,BYTE PTR 16+11[esi]
    xor     ecx,ecx

    mov     cl,BYTE PTR 16+10[esi]
    mov     edx,[esi+(2*4)]                     ;chroma 2

    mov     al,BYTE PTR 16+9[esi]
    mov     bh,bl
    
    shl     ebx,8
    mov     ch,cl

    shl     ecx,8
    mov     bl,bh
    
    mov     ah,al
    mov     cl,ch
            
    add     ebx,edx
    add     ecx,edx

    mov     0[edi+ebp*8],ebx                    ;write 0
    mov     4[edi+ebp*8],ecx                    ;write 1

    shl     eax,8
    mov     edx,[esi+(3*4)]                     ;chroma 3

    and     eax,0ffffffh
    xor     ebx,ebx

    mov     bl,BYTE PTR 16+8[esi]
    mov     al,ah

    add     eax,edx
    mov     bh,bl

    shl     ebx,8
    xor     ecx,ecx

    mov     cl,BYTE PTR 16+15[esi]
    mov     bl,bh

    mov     8[edi+ebp*8],eax                    ;write 2
    add     ebx,edx

    mov     12[edi+ebp*8],ebx                   ;write 3
;----------------------------------------------------------
    mov     ebp,L_scrnPitch3[esp]               ;scrnPitch * 3

    mov     bl,BYTE PTR 16+14[esi]
    mov     ch,cl

    shl     ecx,8
    mov     bh,bl

    shl     ebx,8
    mov     cl,ch

    mov     edx,[esi+(2*4)]                     ;chroma 2
    mov     bl,bh

    and     ebx,0ffffffh
    add     ecx,edx

    mov     al,BYTE PTR 16+13[esi]
    add     ebx,edx

    mov     0[edi+ebp*4],ecx                    ;write 0
    mov     4[edi+ebp*4],ebx                    ;write 1

    mov     cl,BYTE PTR 16+12[esi]
    mov     ah,al

    shl     eax,8
    mov     ch,cl

    shl     ecx,8
    mov     al,ah

    mov     cl,ch
    mov     edx,[esi+(3*4)]                     ;chroma 3

    and     ecx,0ffffffh
    and     eax,0ffffffh

    add     eax,edx
    add     ecx,edx

    add     esi,32
    xor     ebx,ebx

    mov     8[edi+ebp*4],eax                    ;write 2
    mov     12[edi+ebp*4],ecx                   ;write 3

    mov     eax,L_i[esp]
    xor     ecx,ecx

    add     edi,16
    dec     eax

    mov     ebp,L_scrnPitch[esp]
    mov     L_i[esp],eax

    jnz     doCols
;----------------------------------------------------------
    mov     edi,L_dest[esp]
    mov     edx,L_blkPitch[esp]

    mov     eax,L_blkRow[esp]
    add     edi,edx

    mov     L_dest[esp],edi
    dec     eax

    mov     edx,L_blkCol[esp]
    mov     L_blkRow[esp],eax

    mov     L_i[esp],edx
    jnz     doCols

theExit:
    mov     eax,L_stackptr[esp]
    mov     esp,eax

    pop     edx
    pop     ecx
    pop     ebx
    pop     ebp
    pop     edi
    pop     esi
    ret

;************************************************
         END

