/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

typedef struct tAudioBuff{
	unsigned char *addrL,*addrR;
	int length;
	int index;
	int bitDepth;
	int interleave;
	int numChannels;
	int SampleRate;
} DXL_AUDIODST;

#if 0
/* this structure is found in <duck_hfb> */
typedef struct tDKWAVEFORM
{
	unsigned short	wFormatTag;        /* format type */
	unsigned short	nChannels;         /* number of channels (i.e. mono, stereo...) */
	unsigned long   nSamplesPerSec;    /* sample rate */
	unsigned long	nAvgBytesPerSec;   /* for buffer estimation */
	unsigned short	nBlockAlign;       /* block size of data */
	unsigned short	wBitsPerSample;    /* Number of bits per sample of mono data */
	unsigned short	cbSize;            /* The count in bytes of the size of
									extra information (after cbSize) */
	unsigned short	wSamplesPerBlock;
	unsigned short	extrashort1;
	unsigned short	extrashort2;		///	dbm -- attempting to support vorbis, which has 8 extra bytes
	unsigned short	extrashort3;


} DKWAVEFORM;
#endif

/* update dxl_audi.ash if changes are made */
typedef struct tXAudioSource{ 
	unsigned char *addr;
	int totalPos,length;
	int bitDepth,wFormat;
	int interleave;
	int numChannels;
	int SampleRate;
	int samplesPerBlock;
	short aiSamp[2],aiStepIndex[2];
	int finiBlock,samplesRead;
	short iFirstNibble;
	short iNextInput;
	short sum,diff,nudiff;
	DKWAVEFORM wv; /* */
} DXL_XAUDIOSRC;



int dxDK4(DXL_XAUDIOSRC_HANDLE xsrc,short *left, short *right,int nSamples);
int dxDK3S(register DXL_XAUDIOSRC_HANDLE xsrc,short *left, short *right,int nSamples);
