# Microsoft (n)makefile for Win95 DXA.DLL .  4/9/97
# Uses Microsoft visual c++ compiler.

SDK = c:\dxsdk\sdk
THISFILE = makefile

!if "$(OBJDIR)"=="$(DEBDIR)"
#DXANAME = GDXA
DXANAME = DXA
!else
DXANAME = DXA
!endif

DXA = $(DXANAME).dll
DXALNK = $(OBJDIR)$(DXANAME).lnk
SDXALIB = $(OBJDIR)s_$(DXANAME).lib
DXA_FILE = $(SRCDIR)\DXA.DEF

# Optimization -O2 produces a crashing program.  --tim 10/19/95.

all: DXA.rel DXA.deb

$(OBJDIR:\= ) :
    mkdir $(OBJDIR:\= )

$(LIBDIR):
    mkdir $(LIBDIR)

DXA.rel:
    set CL=-nologo -Ob2 -Ot -MD -W3 -DWIN32 -D_MBCS -D_AFXDLL -DNDEBUG \
-D_WINDOWS 
    set LINK=-INCREMENTAL:no
    nmake /NOLOGO -f $(THISFILE) $(RELDIR)dxa.dll OBJDIR=$(RELDIR) 
    nmake /NOLOGO -f $(THISFILE) $(RELDIR)s_dxa.lib OBJDIR=$(RELDIR)

DXA.deb:
    set CL=-nologo -MD -W3 -GX -Od -Z7 -DWIN32 -D_MBCS -D_AFXDLL -D_DEBUG \
-D_WINDOWS 
#-D_X86PROFILING
    set LINK=-INCREMENTAL:yes -DEBUG -DEBUGTYPE:BOTH
#    nmake /NOLOGO -f $(THISFILE) $(DEBDIR)gdxa.dll OBJDIR=$(DEBDIR) 
#    nmake /NOLOGO -f $(THISFILE) $(DEBDIR)s_gdxa.lib OBJDIR=$(DEBDIR)

    nmake /NOLOGO -f $(THISFILE) $(DEBDIR)dxa.dll OBJDIR=$(DEBDIR)
    nmake /NOLOGO -f $(THISFILE) $(DEBDIR)s_dxa.lib OBJDIR=$(DEBDIR)

CC = cl

cppflags = $(cppflags) -I$(SDK)\inc


DXAOBJS = $(OBJDIR)dkglobal.$(OBJ) $(OBJDIR)dxlaudio.$(OBJ) \
          $(OBJDIR)dxaudio.$(OBJ) $(OBJDIR)dk4.$(OBJ) \
          $(OBJDIR)dk3s.$(OBJ) \
          $(OBJDIR)dxaprof.$(OBJ) $(OBJDIR)perf.$(OBJ) $(OBJDIR)pentium.$(OBJ)

SALOBJS = $(OBJDIR)dxa.obj $(OBJDIR)dxa_mem.obj


ASMDIR = ..\X86\ 
ASM = tasm /ml /m8 /dWINP /zd /d_MSC_VER /I$(ASMDIR) /dWIN95

{..\X86}.asm{$(OBJDIR)}.obj:
    $(ASM) $< $@ 
    editbin /NOLOGO /RELEASE $@

#LIBS = kernel32.lib user32.lib gdi32.lib comdlg32.lib advapi32.lib \
#winmm.lib shell32.lib $(SDK)\lib\ddraw.lib

#DLLLIBS = winspool.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib

$(OBJDIR)$(DXA):  $(LIBDIR) $(OBJDIR:\= ) $(DXAOBJS) $(SALOBJS) $(DXA_FILE) $(DXALNK)
    link @$(DXALNK)
    copy $(OBJDIR)*.dll $(LIBDIR)
    copy $(OBJDIR)*.lib $(LIBDIR)

$(SDXALIB): $(LIBDIR) $(OBJDIR:\= ) $(DXAOBJS) 
    LIB $(DXAOBJS) /OUT:$(SDXALIB)
    copy $(OBJDIR)*.dll $(LIBDIR)
    copy $(OBJDIR)*.lib $(LIBDIR)

$(DXALNK) : $(THISFILE)
    @echo /DLL >$@
    @echo /DEF:$(DXA_FILE) >>$@
    @echo /OUT:$(OBJDIR)$(DXA) >>$@
    @echo /SUBSYSTEM:windows >>$@
    @echo /INCREMENTAL:no >>$@
    @echo /MACHINE:I386 >>$@
#    @for %i in ($(LIBS)) do echo %i >>$@
#    @for %i in ($(DLLLIBS)) do echo %i >>$@
    @for %i in ($(DXAOBJS)) do echo %i >>$@
    @for %i in ($(SALOBJS)) do echo %i >>$@

clean:
    deltree /Y obj.rel
    deltree /Y obj.deb
    deltree /Y obj
