;   Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.
;
;   This file is part of VpVision.
;
;   VpVision is free software; you can redistribute it and/or modify
;   it under the terms of the GNU General Public License ver. 2,
;   as published by the Free Software Foundation (www.fsf.org).
;
;   Foobar is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with VpVision; if not, write to the Free Software
;   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

; Pentium utilities.  Timothy S. Murphy 1/11/97.

; This is a Borland i586 TASM source file.

; Works (at least) with Watcom C++ and Visual C++ using "cdecl" linkage.

	.586
	.MODEL	flat, c, os_dos
	.CODE

PUBLIC c pentiumKiloCycles, pentiumTime

pentiumKiloCycles:
		push	edx
		; rdtsc					; get 64-bit cycle count in edx:eax
		db		0Fh, 31h		; (tasm 4.0 doesn't have rdtsc opcode)
		shrd	eax, edx, 10	; divide by 1024
		pop		edx
		ret						; value in eax

pentiumTime:
		push	ebx
			push	edx

		; rdtsc					; get 64-bit cycle count in edx:eax
		db		0Fh, 31h		; (tasm 4.0 doesn't have rdtsc opcode)
		shrd	eax, edx, 10	; divide by 1024
		mov		ebx, eax
	
		mov		eax, 12[esp]
		shr		eax, 1

lup:	shr		edx, 16
			dec		eax
		nop
			jns		lup

		; rdtsc					; get 64-bit cycle count in edx:eax
		db		0Fh, 31h		; (tasm 4.0 doesn't have rdtsc opcode)
		shrd	eax, edx, 10	; divide by 1024

		sub		eax, ebx

		pop		edx
		pop		ebx
		ret						; value in eax

END