/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	CFSMPROTOCOL_H_
#define CFSMPROTOCOL_H_

#include	<CFsm.h>
#include	<CProtocol.h>

class CFsmProtocol: public CFsm, public CProtocol
{
	CLASS_NOCOPY(CFsmProtocol)

public:
	CFsmProtocol(int queue_size,int protocol);
	virtual ~CFsmProtocol(void);
	virtual void MessageMe(CMosMessage *mess);

	virtual const char *Name(void);
};

#endif
