/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	CFSMPROTOCOLSERVICE_H_
#define CFSMPROTOCOLSERVICE_H_

#include	<CFsmProtocol.h>
#include	<CTcpService.h>

class CFsmProtocolService: public CFsmProtocol, public CTcpService
{
	CLASS_NOCOPY(CFsmProtocolService)

public:
	CFsmProtocolService(int queue_size,int protocol,CTcpServer *server);
	virtual ~CFsmProtocolService(void);

	virtual	void	Service_Terminate(void);
	virtual	void	Service_Join(void);
	virtual	void	Service_Start(void);

	virtual const char *Name(void);
};


#endif
