/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	CPING_H_
#define CPING_H_

#include	<MegaHeaders.h>

class CPing
{
#ifndef	WIN32
	int	Checksum(u_short *ptr,int nbytes);
	int	ReceivePacket(int sockfd,int id1,int id2,int amount,
					struct timeval &t);
	int	SendPacket(int sockfd,struct sockaddr_in *dest,int id1,int id2,
					int amount_of_data);
#endif
	struct timeval	mErrorTime;

public:
	CPing(void);
	~CPing(void);
	int	Ping(unsigned long addr,int id1,int id2,
				unsigned int &lag, unsigned int &fourktime);
};

#endif
