/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	CPROTOCOL_H_
#define CPROTOCOL_H_

#include	<MegaHeaders.h>

class CPortMonitor;
class CMosMessage;
class CPortTransmitter;

class CProtocol {
protected:
	int					mProtocolCode;
	CPortMonitor		*mPortMonitor;
	CPortTransmitter	*mPortTransmitter;
public:
			CProtocol(int pcode);
			~CProtocol(void);
	int		GetProtocolCode(void);
	void	SetPortMonitor(CPortMonitor *port_monitor);
	void	SetPortTransmitter(CPortTransmitter *port_transmitter);
	virtual	void	MessageMe(CMosMessage *message);

	virtual const char *Name(void);
	virtual	void	Dump(ostream &o,const char *indent);
};



#endif
