/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef	CTCPSERVICE_H_
#define CTCPSERVICE_H_

#include	<MegaHeaders.h>
#include	<CSocket.h>

class CTcpServer;

class CTcpService
{
protected:
	CTcpServer		*mServer;

	virtual	void	MakeAvailable(void);

public:
	CTcpService(CTcpServer *server);
	virtual ~CTcpService(void);

	virtual const char *Name(void);
	virtual	void	Dump(ostream &o,const char *indent);

	virtual	void SEND_MESS_Open(SOCKET *file_descriptor) = 0;
	virtual	void	Service_Terminate(void) = 0;
	virtual	void	Service_Join(void) = 0;
	virtual	void	Service_Start(void) = 0;
};

#endif

