/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include	<stack_aids.h>

//#ifndef	INSTANTIATING
/* 
   This .cpp file needs to be included by compilers that cant instantiate.
   As such, we dont want duplicate definitions of this stuff, so we check
   for the INSTANTIATING define which is only set in the template_instantiation
   file
*/

stack_MutexLock::stack_MutexLock(CCMutex *mutex)
{
	mMutex = mutex;
	mMutex->Lock();
}

stack_MutexLock::~stack_MutexLock(void)
{
	mMutex->Unlock();
}

//#endif

/////////////////////////////////////////////////
#if 0
template <class T>
stack_ArrayDeleter<T>::stack_ArrayDeleter(T *data)
{
	mData = data;
}

template <class T>
stack_ArrayDeleter<T>::~stack_ArrayDeleter(void)
{
	delete [] mData;
}

///////////////////////////////////////////////

template <class T>
stack_Deleter<T>::stack_Deleter(T *data)
{
	mData = data;
}

template <class T>
stack_Deleter<T>::~stack_Deleter(void)
{
	delete mData;
}

////////////////////////////////////////////////
#endif