/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/* set the default values used by fillbuffer */
void setMaxRead(HFB_BUFFER_HANDLE dckPtr, int bpf, int mods);                                             

static void computeMaxToRead(HFB_BUFFER_HANDLE dckPtr,int datarate);                                   

/* FWG 9-13-2000 */
int initIndex(HFB_BUFFER_HANDLE dckPtr, void *data, int size);
void parseIndex(HFB_BUFFER_HANDLE dckPtr, void *data, int size);
/* FWG 9-13-2000 */

void buildIndex(HFB_BUFFER_HANDLE dckPtr, void *data, int size);

/* get DataHandle, DataPointer and DataLength of a chunk within a buffered file/stream */
HFB_DATA_HANDLE HFB_GetStreamingData(HFB_STREAM_HANDLE dckPtr,void **data, long *length,enum dukDirect direction,int count);

/* unbuffered read from a stream, *Data and *MaxLength must be provided */
int HFB_ReadData(HFB_STREAM_HANDLE dckPtr,void *data, long *length,enum dukDirect direction,int count);

void HFB_ReleaseStreamingData(HFB_BUFFER_HANDLE bfHnd, HFB_DATA_HANDLE DataHandle);

void HFB_InitBuffer(register HFB_BUFFER_HANDLE dckPtr, HFB_FILE_HANDLE fHnd, int frame,int preload);

int HFB_FillBuffer(HFB_BUFFER_HANDLE dckPtr,long maxToRead, long elapsed);

