/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/***********************************************\
duck_mem.c
\***********************************************/

///	dbm 3/12/02 -- copied from ../linux -- looks OK to me

#include <stdio.h> 
#include <string.h>
#include <time.h>
#include <malloc.h>
#include "duck_mem.h"
#include "duck_io.h"

/// dbm -- these are defined in neilhack.cpp
#if 0

#if !defined(LOG_ALLOC)
void *duck_malloc(size_t size, dmemType foo)
{    
	void *temp = malloc(size);

	return temp;
}

void *duck_calloc(size_t n,size_t size, dmemType foo)
{   
	void *temp = calloc(n, size);

	return temp;
}


void duck_free(void *old_blk)
{  
	free(old_blk);
}


#else



void *duck_malloc_log(size_t size, dmemType foo, char *fileName, int lineNo)
{    
	void *temp = malloc(size);
	
	fprintf(stderr,"memoryMgr\t1\t%ld\t\t%x\t%s\t%d\n",((long ) temp), ((long ) temp), fileName, lineNo);
	return temp;
}


void *duck_calloc_log(size_t n,size_t size, dmemType foo, char *fileName, int lineNo)
{   
	void *temp = calloc(n, size);

	fprintf(stderr,"memoryMgr\t1\t%ld\t\t%x\t%s\t%d\n",((long ) temp), ((long ) temp), fileName, lineNo);
	return temp;
}



void duck_free_log(void *old_blk, char *fileName, int lineNo)
{  
	fprintf(stderr,"memoryMgr\t-1\t%ld\t\t%x\t%s\t%d\n",((long ) old_blk), ((long ) old_blk), fileName, lineNo);
	free(old_blk);
}


#endif

#endif
///	dbm

void *duck_memcpy(void *dest, const void *source, size_t length)
{
	return memcpy(dest, source, length);
}



void *duck_memset(void *dest, int val , size_t length)
{
	return memset(dest, val , length);
}



int duck_strcmp(const char *a, const char *b)
{
	return strcmp(a,b);
}









