/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "iva.h"

#include "iva_Reader.h"
#include "iva_Writer.h"

#if 0

/*
This really doesn't make any sense. What's the point of
putting a specific instantiation into the abstract base?
Besides, what if I want my application to have two different
avi representations?
*/

ivaReader *
ivaReader::reference()
{
	return new iva_Reader;
}

ivaWriter *
ivaWriter::reference(const ivaHeader &h,
	size_t header_reserved_size,
	size_t chunk_alignment)
{
	return new iva_Writer(h, header_reserved_size, chunk_alignment);
}
#endif
