/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _tmrt_h
#define _tmrt_h

#ifndef _tmrttype_h
#include "tmrttype.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

#define TIGER_BETA 17

#define TMRT_RGB555	0
#define TMRT_RGB565	1
#define TMRT_YUY2	2
#define TMRT_YUV9	3

#define TMRT_METATYPE 5

#if defined(DEBUG)
#define DIAGNOSTIC(x) x
#else
#define DIAGNOSTIC(x)
#endif

#ifdef __cplusplus
}
#endif
#endif

