/*  Copyright (c) 1994-2002 by On2 Technologies, The Duck Corporation Inc.

    This file is part of VpVision.

    VpVision is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License ver. 2,
    as published by the Free Software Foundation (www.fsf.org).

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with VpVision; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _tmrtprv_h

#define _tmrtprv_h



#ifndef _tmrttype_h

#include "tmrttype.h"

#endif



#ifdef __cplusplus

extern "C" {

#endif



typedef struct tr20frameheader {

	U8	hdrSize;

	U8	Type;

	U8	bits;

	U8	metaType;

	U8	Frameinfo;

	U8	dummy;

	U16 Ysize;

	U16 Xsize;

	U32 FrameSize;

	U16 dummy2;

} TR20FRAMEHEADER;





#ifdef __cplusplus

}

#endif

#endif

